import React from "react";
interface Props {
    insideClickHandler?: (e?: React.MouseEvent) => void;
    outsideClickHandler?: (e?: React.MouseEvent) => void;
    onMouseEnter?: (e?: React.MouseEvent) => void;
    onMouseLeave?: (e?: React.MouseEvent) => void;
    className?: string;
    alwaysListen?: boolean;
    isActive?: boolean;
    isFocussed?: boolean;
    BoundaryElement?: string;
    tabIndex?: number;
    outsideClickEventValidator?: (e?: React.MouseEvent) => boolean;
    children: React.ReactNode | JSX.Element | ((boundaryIsActive: boolean, boundaryIsFocussed: boolean) => React.ReactNode | JSX.Element);
}
export declare function BoundaryClickWatcher({ insideClickHandler, outsideClickHandler, onMouseEnter, onMouseLeave, className, alwaysListen, isActive, isFocussed, BoundaryElement, tabIndex, outsideClickEventValidator, children, }: Props): import("react/jsx-runtime").JSX.Element;
export default BoundaryClickWatcher;
//# sourceMappingURL=index.d.ts.map