"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Button = Button;
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _classes = require("../helpers/classes");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function Button(_ref) {
  var _ref$disableOnClick = _ref.disableOnClick,
    disableOnClick = _ref$disableOnClick === void 0 ? false : _ref$disableOnClick,
    _ref$isSubmit = _ref.isSubmit,
    isSubmit = _ref$isSubmit === void 0 ? false : _ref$isSubmit,
    onClick = _ref.onClick,
    onKeyDown = _ref.onKeyDown,
    _ref$className = _ref.className,
    className = _ref$className === void 0 ? "" : _ref$className,
    clickHandler = _ref.clickHandler,
    children = _ref.children,
    id = _ref.id,
    title = _ref.title,
    onMouseEnter = _ref.onMouseEnter,
    onMouseLeave = _ref.onMouseLeave,
    _ref$types = _ref.types,
    types = _ref$types === void 0 ? ["primary"] : _ref$types,
    disabled = _ref.disabled;
  var _useState = (0, _react.useState)(false),
    _useState2 = _slicedToArray(_useState, 2),
    disabledAfterClick = _useState2[0],
    setDisabledAfterClick = _useState2[1];
  var handleOnClick = function handleOnClick(e) {
    setDisabledAfterClick(disableOnClick);
    if (onClick) {
      return onClick(e);
    }
    if (clickHandler) {
      return clickHandler(e);
    }
    return e;
  };
  var shareProps = {
    disabled: disabled || disabledAfterClick,
    onClick: handleOnClick,
    onKeyDown: onKeyDown,
    className: "gui-button ".concat((0, _classes.createClassesFromTypesList)(types, "gui-button--"), " ").concat(className),
    title: title,
    id: id,
    onMouseEnter: onMouseEnter,
    onMouseLeave: onMouseLeave
  };
  return /*#__PURE__*/_react["default"].createElement("button", _extends({
    type: isSubmit ? "submit" : "button"
  }, shareProps), children);
}
var _default = exports["default"] = Button;
//# sourceMappingURL=index.js.map