import { HTMLAttributes, ReactNode } from "react";
interface Props extends HTMLAttributes<HTMLDivElement> {
    label: string | ReactNode;
    editable?: string;
    multiline?: boolean;
    insetInput?: boolean;
    formClass?: string;
    maxLength?: number;
}
declare function ColFieldLabel({ label, className, editable, onChange, multiline, insetInput, formClass, placeholder, maxLength, ...props }: Props): import("react/jsx-runtime").JSX.Element;
declare namespace ColFieldLabel {
    var defaultProps: {
        className: string;
        editable: boolean;
        onChange: () => void;
        multiline: boolean;
        insetInput: boolean;
        formClass: string;
        placeholder: string;
    };
}
export default ColFieldLabel;
//# sourceMappingURL=ColFieldLabel.d.ts.map