"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ = require("./..");
var _excluded = ["label", "className", "editable", "onChange", "multiline", "insetInput", "formClass", "placeholder", "maxLength"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function ColFieldLabel(_ref) {
  var label = _ref.label,
    className = _ref.className,
    editable = _ref.editable,
    onChange = _ref.onChange,
    multiline = _ref.multiline,
    insetInput = _ref.insetInput,
    formClass = _ref.formClass,
    placeholder = _ref.placeholder,
    maxLength = _ref.maxLength,
    props = _objectWithoutProperties(_ref, _excluded);
  if (editable) {
    var classes = (0, _classnames["default"])({
      "-m-05": insetInput
    });
    return /*#__PURE__*/_react["default"].createElement("div", {
      className: classes
    }, /*#__PURE__*/_react["default"].createElement(_.RenameInput, _extends({
      text: label,
      size: _.RenameInput.sizes.lrg,
      onRename: onChange,
      multiline: multiline,
      label: "edit field label: ".concat(label),
      className: "gui-col-field-label gui-col-field-label-editable ".concat(className),
      formClass: formClass,
      placeholder: placeholder,
      maxLength: maxLength
    }, props)));
  }
  return /*#__PURE__*/_react["default"].createElement("div", _extends({
    className: "gui-col-field-label break-all ".concat(className)
  }, props), label);
}
ColFieldLabel.defaultProps = {
  className: "",
  editable: false,
  onChange: function onChange() {},
  multiline: false,
  insetInput: true,
  formClass: "",
  placeholder: "Enter a field label"
};
var _default = exports["default"] = ColFieldLabel;
//# sourceMappingURL=ColFieldLabel.js.map