"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CommentResolveButton = CommentResolveButton;
var _react = _interopRequireDefault(require("react"));
var _ = require("./..");
var _Icon = _interopRequireDefault(require("../Icon"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function CommentResolveButton(_ref) {
  var resolved = _ref.resolved,
    onUndoResolve = _ref.onUndoResolve,
    userCanResolve = _ref.userCanResolve,
    onResolve = _ref.onResolve;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "flex items-center ml-auto h-8"
  }, resolved && /*#__PURE__*/_react["default"].createElement("span", {
    className: "text-sm font-semi-bold text-green-primary inline-flex item justify-center items-center"
  }, /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
    name: "resolved",
    className: "mr-1"
  }), "Resolved", onUndoResolve && userCanResolve && /*#__PURE__*/_react["default"].createElement("div", {
    className: "ml-2"
  }, /*#__PURE__*/_react["default"].createElement(_.ButtonSecondary, {
    onClick: onUndoResolve,
    size: "xs"
  }, "Undo"))), !resolved && userCanResolve && /*#__PURE__*/_react["default"].createElement(_.ButtonSecondary, {
    onClick: onResolve,
    size: "xs"
  }, "Resolve"));
}
CommentResolveButton.defaultProps = {
  resolved: false,
  onUndoResolve: null,
  userCanResolve: false,
  onResolve: function onResolve() {}
};
//# sourceMappingURL=CommentResolveButton.js.map