"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ExistingCommentExample = ExistingCommentExample;
var _react = _interopRequireWildcard(require("react"));
var _ = require("../..");
var _mockData = require("./mockData");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
/* eslint-disable react/prop-types */

function ExistingCommentExample(_ref) {
  var comment = _ref.comment,
    submitPromise = _ref.submitPromise,
    isFirst = _ref.isFirst,
    deletePromise = _ref.deletePromise;
  var _useContext = (0, _react.useContext)(_.Comment.Context),
    isEditing = _useContext.isEditing,
    isOpen = _useContext.isOpen;
  var _ref2 = comment.author || {},
    avatar = _ref2.avatar,
    initials = _ref2.initials,
    name = _ref2.name;
  return /*#__PURE__*/_react["default"].createElement(_.Comment, null, /*#__PURE__*/_react["default"].createElement(_.Comment.Header, {
    className: "flex",
    actions: /*#__PURE__*/_react["default"].createElement(_.Comment.Actions, null)
  }, /*#__PURE__*/_react["default"].createElement(_.Person, {
    collapse: true,
    avatarUrl: avatar,
    initials: initials,
    name: name,
    subtitle: /*#__PURE__*/_react["default"].createElement(_.Comment.Meta, null, comment.createdAt),
    className: "w-full"
  })), /*#__PURE__*/_react["default"].createElement(_.Comment.Body, null, !isEditing && /*#__PURE__*/_react["default"].createElement(_.Comment.Text, {
    users: _mockData.mockUsers,
    showFullText: isOpen,
    currentUser: _mockData.mockUserNoAvatar,
    hasBeenEdited: true
  }, comment.body), isEditing && /*#__PURE__*/_react["default"].createElement(_.Comment.Form, {
    onSubmit: submitPromise,
    placeholder: "Reply...",
    submitText: "Save",
    users: _mockData.mockUsers,
    autoFocusInput: true
  }, comment.body)), /*#__PURE__*/_react["default"].createElement(_.Comment.DeleteConfirmation, {
    confirmButtonText: isFirst ? "Delete conversation" : "Delete comment",
    onConfirm: deletePromise,
    failureText: "Delete failed"
  }));
}
//# sourceMappingURL=ExistingCommentExample.js.map