"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DismissiblePrompt = DismissiblePrompt;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _Icon = _interopRequireDefault(require("../Icon"));
var _Button = _interopRequireDefault(require("../Button"));
var _excluded = ["children", "onDismiss", "className"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function DismissiblePrompt(_ref) {
  var children = _ref.children,
    onDismiss = _ref.onDismiss,
    className = _ref.className,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement("div", _extends({}, rest, {
    className: "gui-dismissible-prompt ".concat(className)
  }), /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-dismissible-prompt__children"
  }, children), /*#__PURE__*/_react["default"].createElement(_Button["default"], {
    types: ["icon-only", "collapse"],
    className: "gui-dismissible-prompt__close",
    onClick: onDismiss
  }, /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
    name: "cross"
  })));
}
DismissiblePrompt.defaultProps = {
  className: ""
};
var _default = exports["default"] = DismissiblePrompt;
//# sourceMappingURL=index.js.map