"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DragLine = DragLine;
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function DragLine(_ref) {
  var alignment = _ref.alignment,
    offsetPx = _ref.offsetPx;
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-drag-line__ball gui-drag-line__ball-left",
    style: _defineProperty({}, alignment, "".concat(-5 - offsetPx, "px"))
  }), /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-drag-line",
    style: _defineProperty({}, alignment, "".concat(-3 - offsetPx, "px"))
  }), /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-drag-line__ball gui-drag-line__ball-right",
    style: _defineProperty({}, alignment, "".concat(-5 - offsetPx, "px"))
  }));
}
DragLine.defaultProps = {
  offsetPx: 0
};
//# sourceMappingURL=DragLine.js.map