"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getItemStyles = getItemStyles;
function getItemStyles(initialOffset, currentOffset, clientOffset) {
  if (!initialOffset || !currentOffset || !clientOffset) {
    return {
      display: 'none'
    };
  }
  var x = clientOffset.x,
    y = clientOffset.y;
  var transform = "translate(".concat(x, "px, ").concat(y, "px)");
  return {
    transform: transform,
    WebkitTransform: transform,
    display: 'inline-block'
  };
}
//# sourceMappingURL=getItemStyles.js.map