"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DragAndDrop = DragAndDrop;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _faker = _interopRequireDefault(require("faker"));
var _reactDndHtml5BackendCjs = _interopRequireDefault(require("react-dnd-html5-backend-cjs"));
var _DndDropNotification = require("./DndDropNotification");
var _ItemDndMock = require("./ItemDndMock");
var _DndProvider = require("../DndProvider");
var _FolderDndMock = require("./FolderDndMock");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
// @ts-expect-error TS(7016): Could not find a declaration file for module 'fake... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "Legacy/Drag And Drop"
};
function DragAndDrop() {
  return /*#__PURE__*/_react["default"].createElement(_DndProvider.DndProvider, {
    backend: _reactDndHtml5BackendCjs["default"]
  }, /*#__PURE__*/_react["default"].createElement(_FolderDndMock.FolderDndMock, {
    name: _faker["default"].commerce.productName()
  }), /*#__PURE__*/_react["default"].createElement(_ItemDndMock.ItemDndMock, null, _faker["default"].commerce.productName()), /*#__PURE__*/_react["default"].createElement(_DndDropNotification.DndDropNotification, null));
}
DragAndDrop.parameters = {
  controls: {
    hideNoControlsWarning: true
  }
};
//# sourceMappingURL=DnD.stories.js.map