import React, { HTMLAttributes } from "react";
interface Props extends Omit<HTMLAttributes<HTMLDivElement>, "children"> {
    collapse?: boolean;
    right?: boolean;
    centre?: boolean;
    top?: boolean;
    fixRight?: boolean;
    full?: boolean;
    noBorder?: boolean;
    autoPositionLeft?: boolean;
    noTransform?: boolean;
    children: React.ReactNode | JSX.Element | ((showContent: boolean) => React.ReactNode | JSX.Element);
}
export declare function DropdownContent({ children, className, collapse, right, centre, top, fixRight, full, noBorder, autoPositionLeft, noTransform, ...rest }: Props): import("react/jsx-runtime").JSX.Element;
export declare namespace DropdownContent {
    var defaultProps: {
        className: string;
        collapse: boolean;
        right: boolean;
        centre: boolean;
        top: boolean;
        fixRight: boolean;
        full: boolean;
        noBorder: boolean;
        autoPositionLeft: boolean;
    };
}
export {};
//# sourceMappingURL=DropdownContent.d.ts.map