"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Dropdown = Dropdown;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _DropdownAction = _interopRequireDefault(require("./DropdownAction"));
var _DropdownActionGroup = _interopRequireDefault(require("./DropdownActionGroup"));
var _DropdownContent = require("./DropdownContent");
var _DropdownSection = _interopRequireDefault(require("./DropdownSection"));
var _DropdownTrigger = _interopRequireDefault(require("./DropdownTrigger"));
var _DropdownHeader = _interopRequireDefault(require("./DropdownHeader"));
var _DropdownFooter = _interopRequireDefault(require("./DropdownFooter"));
var _DropdownProvider = _interopRequireDefault(require("./DropdownProvider"));
var _DropdownInfo = _interopRequireDefault(require("./DropdownInfo"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function Dropdown(props) {
  return /*#__PURE__*/_react["default"].createElement(_DropdownProvider["default"], props);
}
Dropdown.defaultProps = {
  onToggle: function onToggle() {},
  onHide: function onHide() {},
  className: "",
  autoPosition: false,
  block: false,
  persistShow: false
};
Dropdown.Action = _DropdownAction["default"];
Dropdown.ActionGroup = _DropdownActionGroup["default"];
Dropdown.Content = _DropdownContent.DropdownContent;
Dropdown.Header = _DropdownHeader["default"];
Dropdown.Footer = _DropdownFooter["default"];
Dropdown.Section = _DropdownSection["default"];
Dropdown.Info = _DropdownInfo["default"];
Dropdown.Trigger = _DropdownTrigger["default"];
var _default = exports["default"] = Dropdown;
//# sourceMappingURL=index.js.map