"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _ = require("./..");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function DueDateTime(props) {
  var minutes = ["00", "15", "30", "45"];
  var hours = Array.from({
    length: 24
  }, function (x, i) {
    return i;
  });
  var setTime = props.setTime;
  var times = hours.map(function (hour) {
    return minutes.map(function (minute) {
      var suffix = "AM";
      var hourValue = hour;
      if (hour === 12) {
        suffix = "PM";
      }
      if (hour === 0) {
        hourValue = 12;
      }
      if (hour > 12) {
        hourValue = hour - 12;
        suffix = "PM";
      }
      var key = "".concat(hour, ":").concat(minute);
      var value = "".concat(hourValue, ":").concat(minute, " ").concat(suffix);
      return /*#__PURE__*/_react["default"].createElement(_.MenuItem, {
        key: key,
        eventKey: {
          hours: hour,
          minutes: minute
        },
        active: value === props.time,
        onSelect: setTime
      }, value);
    });
  });
  return /*#__PURE__*/_react["default"].createElement(_.Dropdown, {
    id: "duedate__header--time"
  }, /*#__PURE__*/_react["default"].createElement(_.Dropdown.Trigger, {
    triggerClassName: "gui-button gui-button--link-default gui-button--collapse gui-duedate__time"
  }, props.time), /*#__PURE__*/_react["default"].createElement(_.Dropdown.Content, {
    className: "gui-duedate__time-picker"
  }, times));
}
DueDateTime.defaultProps = {
  time: ""
};
var _default = exports["default"] = DueDateTime;
//# sourceMappingURL=DueDateTime.js.map