"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _ = _interopRequireDefault(require(".."));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("EventCodeWatcher", function () {
  (0, _vitest.it)("detects when the passed keycode has been pressed", function () {
    var onKeyCodePress = _vitest.vi.fn();
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_["default"], {
      eventName: "keydown",
      onKeyCodePress: onKeyCodePress,
      keyCode: 30
    }), /*#__PURE__*/_react["default"].createElement("div", null, "hello!")));
    _react2.fireEvent.keyDown(_react2.screen.getByText("hello!"), {
      keyCode: 30
    });
    (0, _vitest.expect)(onKeyCodePress).toHaveBeenCalled();
  });
});
//# sourceMappingURL=EventCodeWatcher.spec.js.map