"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EventCodeWatcher = EventCodeWatcher;
exports["default"] = void 0;
var _react = require("react");
function EventCodeWatcher(_ref) {
  var eventName = _ref.eventName,
    onKeyCodePress = _ref.onKeyCodePress,
    keyCode = _ref.keyCode,
    element = _ref.element,
    preventDefault = _ref.preventDefault;
  var detectCodeTriggered = function detectCodeTriggered(event) {
    console.log('hello im here!');
    if (event.keyCode === keyCode) {
      if (preventDefault) {
        event.preventDefault();
      }
      onKeyCodePress();
    }
  };
  (0, _react.useEffect)(function () {
    if (element) {
      element.addEventListener(eventName, detectCodeTriggered);
    } else {
      console.log('adding listener', eventName);
      document.addEventListener(eventName, detectCodeTriggered);
    }
    return function () {
      if (element) {
        element.removeEventListener(eventName, detectCodeTriggered);
      } else {
        document.removeEventListener(eventName, detectCodeTriggered);
      }
    };
  });
  return null;
}
var _default = exports["default"] = EventCodeWatcher;
//# sourceMappingURL=index.js.map