"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FinderNavigation = FinderNavigation;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _FinderGroup = _interopRequireDefault(require("./FinderGroup"));
var _FinderItem = _interopRequireDefault(require("./FinderItem"));
var _FinderItemContent = _interopRequireDefault(require("./FinderItemContent"));
var _FinderItemSettings = _interopRequireDefault(require("./FinderItemSettings"));
var _excluded = ["className", "children"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function FinderNavigation(_ref) {
  var _ref$className = _ref.className,
    className = _ref$className === void 0 ? "" : _ref$className,
    children = _ref.children,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement("div", _extends({
    className: "gui-finder ".concat(className)
  }, rest), children);
}
FinderNavigation.Group = _FinderGroup["default"];
FinderNavigation.Item = _FinderItem["default"];
FinderNavigation.ItemContent = _FinderItemContent["default"];
FinderNavigation.ItemSettings = _FinderItemSettings["default"];
var _default = exports["default"] = FinderNavigation;
//# sourceMappingURL=index.js.map