"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _FinderPanelLayoutProvider = require("./FinderPanelLayoutProvider");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function FinderPanelLayoutHeader(_ref) {
  var children = _ref.children,
    className = _ref.className;
  var _useContext = (0, _react.useContext)(_FinderPanelLayoutProvider.FinderPanelLayoutContext),
    fixed = _useContext.fixed,
    setHeaderHeight = _useContext.setHeaderHeight;
  var headerRef = (0, _react.useRef)();
  (0, _react.useEffect)(function () {
    if (headerRef.current) {
      // @ts-expect-error TS(2339): Property 'offsetHeight' does not exist on type 'ne... Remove this comment to see the full error message
      setHeaderHeight(headerRef.current.offsetHeight);
    }
  }, [headerRef]);
  var classes = (0, _classnames["default"])("gui-finder-panel-layout__left-head ".concat(className), {
    "gui-finder-panel-layout__left-head--fixed": fixed
  });
  return (
    /*#__PURE__*/
    // @ts-expect-error TS(2322): Type 'MutableRefObject<undefined>' is not assignab... Remove this comment to see the full error message
    _react["default"].createElement("div", {
      className: classes,
      ref: headerRef
    }, children)
  );
}
FinderPanelLayoutHeader.defaultProps = {
  className: ""
};
var _default = exports["default"] = FinderPanelLayoutHeader;
//# sourceMappingURL=FinderPanelLayoutHeader.js.map