"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _Checkbox = _interopRequireDefault(require("../Checkbox"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("Checkbox", function () {
  (0, _vitest.it)("renders a checkbox", function () {
    // @ts-expect-error TS(2709): Cannot use namespace 'Checkbox' as a type.
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_Checkbox["default"], {
      id: "123",
      label: "Check me out",
      name: "input name"
    }));
    (0, _vitest.expect)(_react2.screen.getByLabelText("Check me out").getAttribute("type")).toEqual("checkbox");
  });
});
//# sourceMappingURL=Checkbox.spec.js.map