"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RadioButtonGroup = RadioButtonGroup;
var _react = _interopRequireWildcard(require("react"));
var _ = _interopRequireDefault(require("."));
var _Other = _interopRequireDefault(require("./Other"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function RadioButtonGroup(_ref) {
  var choices = _ref.choices,
    onChangeHandler = _ref.onChangeHandler,
    labelMouseEnter = _ref.labelMouseEnter,
    labelMouseLeave = _ref.labelMouseLeave,
    overrideLabelDefault = _ref.overrideLabelDefault,
    active = _ref.active,
    disabled = _ref.disabled;
  var checkedOption = choices.find(function (c) {
    return c.checked;
  });
  var _useState = (0, _react.useState)(choices.find(function (c) {
      return c.checked;
    })),
    _useState2 = _slicedToArray(_useState, 2),
    selected = _useState2[0],
    setSelected = _useState2[1];
  var _useState3 = (0, _react.useState)(''),
    _useState4 = _slicedToArray(_useState3, 2),
    otherOptionValue = _useState4[0],
    setOtherOptionValue = _useState4[1];
  (0, _react.useEffect)(function () {
    if ((checkedOption === null || checkedOption === void 0 ? void 0 : checkedOption.id) !== (selected === null || selected === void 0 ? void 0 : selected.id)) {
      setSelected(checkedOption);
    }
  }, [checkedOption]);
  var isChecked = function isChecked(choice) {
    return selected && choice.id === selected.id;
  };
  var onChange = function onChange(e) {
    var targetId = e.target.id;
    var selectedChoice = choices.find(function (c) {
      return c.id === targetId;
    });
    setSelected(selectedChoice);
    onChangeHandler(selectedChoice);
  };
  var onTextChange = function onTextChange(e) {
    var otherOption = choices.find(function (c) {
      return c.other_option;
    });
    var value = e.target.value;
    setSelected(otherOption);
    setOtherOptionValue(value);
    onChangeHandler(_objectSpread(_objectSpread({}, otherOption), {}, {
      value: value
    }));
  };
  return /*#__PURE__*/_react["default"].createElement("div", null, choices.map(function (choice) {
    if (choice.other_option) {
      return /*#__PURE__*/_react["default"].createElement(_Other["default"], _extends({}, choice, {
        value: otherOptionValue || choice.value,
        key: choice.id,
        onChangeHandler: onChange,
        onTextChangeHandler: onTextChange,
        checked: isChecked(choice),
        disabled: disabled
      }));
    }
    return /*#__PURE__*/_react["default"].createElement(_["default"], _extends({}, choice, {
      key: choice.id,
      onChangeHandler: onChange,
      checked: isChecked(choice),
      highlightHover: false,
      overrideLabelDefault: overrideLabelDefault,
      labelMouseEnter: labelMouseEnter,
      labelMouseLeave: labelMouseLeave,
      active: active,
      disabled: disabled
    }));
  }));
}
RadioButtonGroup.defaultProps = {
  overrideLabelDefault: false,
  labelMouseEnter: function labelMouseEnter() {},
  labelMouseLeave: function labelMouseLeave() {},
  active: false,
  disabled: false
};
//# sourceMappingURL=Group.js.map