import { HTMLAttributes } from "react";
interface Props extends HTMLAttributes<HTMLSpanElement> {
    name: string;
    text?: string;
    hideText?: boolean;
    notification?: string | number;
    types?: string[];
    textTypes?: string[];
    title?: string;
    defaultFillColor?: boolean;
    defaultActiveColor?: boolean;
    containerSize?: string;
}
export declare function Icon(props: Props): import("react/jsx-runtime").JSX.Element | null;
export declare namespace Icon {
    var defaultProps: {
        hideText: boolean;
        text: string;
        className: string;
        notification: string;
        types: never[];
        textTypes: never[];
        title: null;
        defaultFillColor: boolean;
        defaultActiveColor: boolean;
        containerSize: string;
    };
}
export default Icon;
//# sourceMappingURL=index.d.ts.map