"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.List = List;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ListHead = _interopRequireDefault(require("./ListHead"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function List(props) {
  var listClasses = (0, _classnames["default"])("gui-list", {
    "gui-list--bordered-right": props.borderedRight,
    "gui-list--bordered-left": props.borderedLeft,
    "gui-list--bordered": props.bordered
  });
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: listClasses,
    role: "list"
  }, /*#__PURE__*/_react["default"].createElement(_ListHead["default"], {
    title: props.title,
    action: props.action
  }), props.subtitle && /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-list__subtitle"
  }, props.subtitle), /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-list__body"
  }, _react["default"].Children.map(props.children, function (child) {
    if (child) {
      return /*#__PURE__*/_react["default"].createElement("div", {
        className: "gui-list__row",
        role: "listitem"
      }, /*#__PURE__*/_react["default"].cloneElement(child, {}));
    }
    return null;
  })));
}
List.defaultProps = {
  title: null,
  action: null,
  borderedRight: false,
  borderedLeft: false,
  bordered: false,
  subtitle: ""
};
var _default = exports["default"] = List;
//# sourceMappingURL=index.js.map