"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _ = _interopRequireDefault(require(".."));
var _MenuItem = require("../../src/modules/menuItem/MenuItem");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("Navigation", function () {
  (0, _vitest.it)("applies modifier classes", function () {
    var _render = (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], null, /*#__PURE__*/_react["default"].createElement(_MenuItem.MenuItem, null, "Hello there"))),
      rerender = _render.rerender;
    (0, _vitest.expect)(_react2.screen.getByRole("navigation").classList.contains("gui-navigation--tabs")).toEqual(false);
    (0, _vitest.expect)(_react2.screen.getByRole("presentation").classList.contains("gui-active")).toEqual(false);
    (0, _vitest.expect)(_react2.screen.getByRole("menuitem"));
    rerender( /*#__PURE__*/_react["default"].createElement(_["default"], {
      tabs: true
    }, /*#__PURE__*/_react["default"].createElement(_MenuItem.MenuItem, {
      active: true
    }, "Hello there")));
    (0, _vitest.expect)(_react2.screen.getByRole("navigation").classList.contains("gui-navigation--tabs")).toEqual(true);
    (0, _vitest.expect)(_react2.screen.getByRole("presentation").classList.contains("gui-active")).toEqual(true);
  });
});
//# sourceMappingURL=Navigation.spec.js.map