"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NotificationBars = NotificationBars;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _ = require("../..");
var _StoryItem = _interopRequireDefault(require("../../../stories/styleguide/StoryItem"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
// @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "Legacy/Notifications/Notification Bars",
  component: _.NotificationBar,
  argTypes: {
    onClick: {
      action: "You clicked me!"
    }
  }
};
function NotificationBars(args) {
  return /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "NotificationBar Warning",
    description: "A notification box with the warning level."
  }, /*#__PURE__*/_react["default"].createElement(_.NotificationBar, {
    level: "warning"
  }, "Warning, I am too sexy for this notification.")), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "NotificationBar Danger",
    description: "A notification box with the danger level."
  }, /*#__PURE__*/_react["default"].createElement(_.NotificationBar, {
    level: "danger"
  }, "You're about to delete your whole life.")), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "NotificationBar Information",
    description: "A notification box with the information level."
  }, /*#__PURE__*/_react["default"].createElement(_.NotificationBar, {
    level: "information"
  }, "Did you know ", /*#__PURE__*/_react["default"].createElement("strong", null, "Nirvana"), " started in ", /*#__PURE__*/_react["default"].createElement("u", null, "Aberdeen"), "?")), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "NotificationBar Promo",
    description: "A notification box with the promo level."
  }, /*#__PURE__*/_react["default"].createElement(_.NotificationBar, {
    level: "promo"
  }, "Did you know Nirvana started in ", /*#__PURE__*/_react["default"].createElement("a", {
    href: "/"
  }, "Aberdeen"), "?")), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "NotificationBar (with a click handler)",
    description: "A notification can handle click interactions."
  }, /*#__PURE__*/_react["default"].createElement(_.NotificationBar, {
    level: "warning",
    clickHandler: args.onClick
  }, /*#__PURE__*/_react["default"].createElement("strong", null, "You have overdue projects."))), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "NotificationBar with close button",
    description: "A notification box with an optional close button."
  }, /*#__PURE__*/_react["default"].createElement(_.NotificationBar, {
    level: "warning",
    onClose: function onClose() {}
  }, "Warning, I am too sexy for this notification.")), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "Centered NotificationBar with close button",
    description: "A centered notification box with an optional close button."
  }, /*#__PURE__*/_react["default"].createElement(_.NotificationBar, {
    level: "warning",
    center: true,
    onClose: function onClose() {}
  }, "Warning, I am too sexy for this notification.")));
}
NotificationBars.parameters = {
  controls: {
    hideNoControlsWarning: true
  }
};
//# sourceMappingURL=NotificationBar.stories.js.map