"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PageInformation = PageInformation;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _ = require("./..");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function PageInformation(_ref) {
  var title = _ref.title,
    subtitle = _ref.subtitle,
    editable = _ref.editable,
    rename = _ref.rename,
    contextName = _ref.contextName,
    inputLabel = _ref.inputLabel;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-page-information"
  }, editable ? /*#__PURE__*/_react["default"].createElement(_.EditableTextWrapper, {
    value: title,
    onChange: rename,
    title: "Rename ".concat(contextName),
    className: "gui-page-information__editable",
    inputLabel: inputLabel || "Rename ".concat(contextName)
  }, /*#__PURE__*/_react["default"].createElement("h1", {
    className: "gui-page-information__title",
    title: title
  }, title)) : /*#__PURE__*/_react["default"].createElement("h1", {
    className: "gui-page-information__title",
    title: title
  }, title), subtitle && /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-page-information__subtitle"
  }, subtitle));
}
PageInformation.defaultProps = {
  subtitle: "",
  editable: false,
  rename: function rename() {},
  contextName: "",
  inputLabel: ""
};
var _default = exports["default"] = PageInformation;
//# sourceMappingURL=index.js.map