"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _common = require("./common");
var _excluded = ["className", "children", "size"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function PillBase(_ref) {
  var className = _ref.className,
    children = _ref.children,
    size = _ref.size,
    rest = _objectWithoutProperties(_ref, _excluded);
  var classes = (0, _classnames["default"])("gui-pill inline-flex items-center rounded ".concat(className), {
    "py-1 px-3 text-base": size === _common.sizes.md,
    "p-1 px-05 text-xs font-semi-bold leading-4": size === _common.sizes.xs,
    "text-[0.625rem] h-4 px-1": size === _common.sizes.xxs
  });
  return /*#__PURE__*/_react["default"].createElement("span", _extends({
    className: classes
  }, rest), children);
}
PillBase.defaultProps = _common.defaultProps;
var _default = exports["default"] = PillBase;
//# sourceMappingURL=PillBase.js.map