"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Pill = Pill;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _common = require("./common");
var _PillDefault = _interopRequireDefault(require("./PillDefault"));
var _PillRed = _interopRequireDefault(require("./PillRed"));
var _PillGreen = _interopRequireDefault(require("./PillGreen"));
var _PillPurple = _interopRequireDefault(require("./PillPurple"));
var _PillGreenWhiteText = _interopRequireDefault(require("./PillGreenWhiteText"));
var _PillBlueWhiteText = _interopRequireDefault(require("./PillBlueWhiteText"));
var _PillYellow = _interopRequireDefault(require("./PillYellow"));
var _PillBeta = require("./PillBeta");
var _excluded = ["type", "children"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function Pill(_ref) {
  var type = _ref.type,
    children = _ref.children,
    rest = _objectWithoutProperties(_ref, _excluded);
  var getPill = function getPill() {
    switch (type) {
      case _common.types.red:
        return _PillRed["default"];
      case _common.types.green:
        return _PillGreen["default"];
      case _common.types.purple:
        return _PillPurple["default"];
      case _common.types.yellow:
        return _PillYellow["default"];
      case _common.types.greenWhiteText:
        return _PillGreenWhiteText["default"];
      case _common.types.blueWhiteText:
        return _PillBlueWhiteText["default"];
      case _common.types.beta:
        return _PillBeta.PillBeta;
      default:
        return _PillDefault["default"];
    }
  };
  var PillType = getPill();
  return /*#__PURE__*/_react["default"].createElement(PillType, rest, children);
}
Pill.defaultProps = _objectSpread(_objectSpread({}, _common.defaultProps), {}, {
  type: _common.types["default"]
});
Pill.types = _common.types;
Pill.sizes = _common.sizes;
var _default = exports["default"] = Pill;
//# sourceMappingURL=index.js.map