"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Pill = Pill;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _lodash = require("lodash");
var _index = _interopRequireDefault(require("../index"));
var _Icon = _interopRequireDefault(require("../../Icon"));
var _StoryItem = _interopRequireDefault(require("../../../stories/styleguide/StoryItem"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var _default = exports["default"] = {
  title: "Legacy/Pill",
  component: _index["default"]
};
function Pill() {
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, (0, _lodash.map)(_index["default"].types, function (value) {
    return /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
      title: "PillComponent ".concat(value)
    }, /*#__PURE__*/_react["default"].createElement("div", {
      className: "flex flex-row items-center"
    }, /*#__PURE__*/_react["default"].createElement(_index["default"], {
      type: value
    }, /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
      name: "item"
    }), " ", /*#__PURE__*/_react["default"].createElement("span", {
      className: "ml-3"
    }, "Name is ", /*#__PURE__*/_react["default"].createElement("b", null, "David"))), /*#__PURE__*/_react["default"].createElement(_index["default"], {
      type: value,
      size: _index["default"].sizes.xs,
      className: "ml-4"
    }, /*#__PURE__*/_react["default"].createElement("span", null, "Name is ", /*#__PURE__*/_react["default"].createElement("b", null, "David"))), /*#__PURE__*/_react["default"].createElement(_index["default"], {
      type: value,
      size: _index["default"].sizes.xxs,
      className: "ml-4"
    }, "BETA")));
  }));
}
Pill.parameters = {
  controls: {
    hideNoControlsWarning: true
  }
};
//# sourceMappingURL=Pill.stories.js.map