"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ = require("../..");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function ProgressUnit(_ref) {
  var className = _ref.className,
    color = _ref.color,
    percent = _ref.percent,
    name = _ref.name,
    filterLink = _ref.filterLink;
  var classes = (0, _classnames["default"])(["gui-progress__unit", className]);
  var style = {
    width: "".concat(percent, "%")
  };
  if (color !== "") {
    // @ts-expect-error TS(2339): Property 'backgroundColor' does not exist on type ... Remove this comment to see the full error message
    style.backgroundColor = color;
  }
  var tooltipText = "".concat(name, " (").concat(Math.round(percent), "%)");
  return /*#__PURE__*/_react["default"].createElement(_.TooltipWrapper, {
    tooltipText: tooltipText,
    placement: "top",
    wrapperClassName: "inline"
  }, /*#__PURE__*/_react["default"].createElement("a", {
    href: filterLink,
    className: classes,
    style: style
  }, /*#__PURE__*/_react["default"].createElement("div", {
    title: name
  })));
}
ProgressUnit.defaultProps = {
  className: ""
};
var _default = exports["default"] = ProgressUnit;
//# sourceMappingURL=index.js.map