"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PureSearchBoundaryListener = SearchBoundaryListener;
exports["default"] = ListenerWithContext;
var _react = _interopRequireDefault(require("react"));
var _BoundaryClickWatcher = _interopRequireDefault(require("../BoundaryClickWatcher"));
var _SearchProvider = require("./SearchProvider");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function SearchBoundaryListener(props) {
  return /*#__PURE__*/_react["default"].createElement(_BoundaryClickWatcher["default"], {
    className: "gui-search ".concat(props.className),
    outsideClickHandler: props.hideBody
  }, props.children);
}
function ListenerWithContext(props) {
  return /*#__PURE__*/_react["default"].createElement(_SearchProvider.SearchContext.Consumer, null, function (_ref) {
    var hideBody = _ref.hideBody;
    return /*#__PURE__*/_react["default"].createElement(SearchBoundaryListener, _extends({
      hideBody: hideBody
    }, props));
  });
}
SearchBoundaryListener.defaultProps = {
  className: ""
};
//# sourceMappingURL=SearchBoundaryListener.js.map