"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Search = Search;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _SearchInput = _interopRequireDefault(require("./SearchInput"));
var _SearchList = _interopRequireDefault(require("./SearchList"));
var _SearchBody = _interopRequireDefault(require("./SearchBody"));
var _SearchListItem = _interopRequireDefault(require("./SearchListItem"));
var _SearchOptions = _interopRequireDefault(require("./SearchOptions"));
var _ToggleFilter = _interopRequireDefault(require("./ToggleFilter"));
var _SearchBoundaryListener = _interopRequireDefault(require("./SearchBoundaryListener"));
var _SearchProvider = _interopRequireWildcard(require("./SearchProvider"));
var _excluded = ["className", "children"];
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function Search(_ref) {
  var _ref$className = _ref.className,
    className = _ref$className === void 0 ? "" : _ref$className,
    children = _ref.children,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement(_SearchProvider["default"], null, /*#__PURE__*/_react["default"].createElement(_SearchBoundaryListener["default"], _extends({
    className: className
  }, rest), children));
}

// eslint-disable-next-line react/function-component-definition
Search.Input = function (props) {
  return /*#__PURE__*/_react["default"].createElement(_SearchProvider.SearchContext.Consumer, null, function (context) {
    return /*#__PURE__*/_react["default"].createElement(_SearchInput["default"], _extends({}, context, props));
  });
};

// eslint-disable-next-line react/function-component-definition
Search.Body = function (props) {
  return /*#__PURE__*/_react["default"].createElement(_SearchProvider.SearchContext.Consumer, null, function (_ref2) {
    var showBody = _ref2.showBody;
    return /*#__PURE__*/_react["default"].createElement(_SearchBody["default"], _extends({
      showBody: showBody
    }, props));
  });
};
Search.List = _SearchList["default"];
Search.ListItem = _SearchListItem["default"];
Search.Options = _SearchOptions["default"];
Search.ToggleFilter = _ToggleFilter["default"];
var _default = exports["default"] = Search;
//# sourceMappingURL=index.js.map