"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SectionHeaderTitle = SectionHeaderTitle;
var _react = _interopRequireDefault(require("react"));
var _ = require("./..");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function SectionHeaderTitle(_ref) {
  var children = _ref.children,
    title = _ref.title;
  var Title = /*#__PURE__*/_react["default"].createElement("h1", {
    className: "gui-section-header__title"
  }, title);
  if (children) {
    return /*#__PURE__*/_react["default"].createElement(_.Dropdown, {
      className: "relative",
      id: "section-header-title-dropdown"
    }, /*#__PURE__*/_react["default"].createElement(_.Dropdown.Trigger, {
      triggerClassName: "flex items-center"
    }, Title, " ", /*#__PURE__*/_react["default"].createElement(_.Icon, {
      className: "ml-2",
      name: "down"
    })), /*#__PURE__*/_react["default"].createElement(_.Dropdown.Content, {
      collapse: true
    }, children));
  }
  return Title;
}
//# sourceMappingURL=SectionHeaderTitle.js.map