"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SelectionContext = void 0;
exports.SelectionProvider = SelectionProvider;
var _react = _interopRequireWildcard(require("react"));
var _lodash = require("lodash");
var _ShortcutTrigger = _interopRequireDefault(require("../ShortcutTrigger"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
var SelectionContext = exports.SelectionContext = /*#__PURE__*/_react["default"].createContext({});
function SelectionProvider(_ref) {
  var children = _ref.children,
    initialSelected = _ref.initialSelected;
  var _useState = (0, _react.useState)(initialSelected),
    _useState2 = _slicedToArray(_useState, 2),
    selected = _useState2[0],
    setSelected = _useState2[1];
  var _useState3 = (0, _react.useState)([]),
    _useState4 = _slicedToArray(_useState3, 2),
    intendedToSelect = _useState4[0],
    setIntendedToSelect = _useState4[1];
  var _useState5 = (0, _react.useState)(null),
    _useState6 = _slicedToArray(_useState5, 2),
    currentSelectedType = _useState6[0],
    setCurrentSelectedType = _useState6[1];
  var _useState7 = (0, _react.useState)(null),
    _useState8 = _slicedToArray(_useState7, 2),
    lastInteracted = _useState8[0],
    setLastInteracted = _useState8[1];
  var _useState9 = (0, _react.useState)({}),
    _useState10 = _slicedToArray(_useState9, 2),
    selectedData = _useState10[0],
    setSelectedData = _useState10[1];
  var updateSelectedData = function updateSelectedData() {
    var data = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
    setSelectedData(_objectSpread(_objectSpread({}, selectedData), data));
  };
  var updateSelected = function updateSelected(id, type) {
    var data = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
    var newSelected;
    if (selected.indexOf(id) === -1) {
      newSelected = selected.concat(id);
      setSelectedData(_objectSpread(_objectSpread({}, selectedData), {}, _defineProperty({}, id, data)));
    } else {
      newSelected = selected.filter(function (existingId) {
        return existingId !== id;
      });
      setSelectedData((0, _lodash.omit)(selectedData, [id]));
    }
    if (!newSelected.length) {
      setCurrentSelectedType(null);
    } else if (!selected.length && newSelected.length) {
      setCurrentSelectedType(type);
    }
    setSelected(newSelected);
  };
  var clear = function clear() {
    setSelected([]);
    setSelectedData({});
    setCurrentSelectedType(null);
  };
  var selectMultiple = function selectMultiple(ids, type) {
    var data = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
    setSelected(_toConsumableArray(new Set(selected.concat(ids))));
    setSelectedData(_objectSpread(_objectSpread({}, selectedData), data));
    setCurrentSelectedType(type);
  };
  var deselectMultiple = function deselectMultiple(ids) {
    var newSelected = selected.filter(function (selectedId) {
      return !ids.includes(selectedId);
    });
    setSelected(newSelected);
    setSelectedData((0, _lodash.omit)(selectedData, [ids]));
    if (!newSelected.length) {
      setCurrentSelectedType(null);
    }
  };
  var sharedState = {
    selected: selected,
    selectedData: selectedData,
    updateSelected: updateSelected,
    clear: clear,
    selectMultiple: selectMultiple,
    deselectMultiple: deselectMultiple,
    currentSelectedType: currentSelectedType,
    setIntendedToSelect: setIntendedToSelect,
    intendedToSelect: intendedToSelect,
    lastInteracted: lastInteracted,
    setLastInteracted: setLastInteracted,
    updateSelectedData: updateSelectedData
  };
  return /*#__PURE__*/_react["default"].createElement(SelectionContext.Provider, {
    value: sharedState
  }, children, /*#__PURE__*/_react["default"].createElement(_ShortcutTrigger["default"], {
    shortcutKey: "Escape",
    onShortcutTrigger: clear
  }));
}
SelectionProvider.defaultProps = {
  initialSelected: []
};
//# sourceMappingURL=index.js.map