"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TabsRow = TabsRow;
exports.TabsRowContext = void 0;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _index = require("./index");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var TabsRowContext = exports.TabsRowContext = /*#__PURE__*/_react["default"].createContext({});
function TabsRow(_ref) {
  var children = _ref.children,
    colCount = _ref.colCount;
  var _useContext = (0, _react.useContext)(_index.TabsContext),
    tabsLength = _useContext.tabsLength;
  var cssGridColCount = Math.min(colCount, tabsLength);
  var borderClasses = "border border-solid border-neutral-90 border-t-0 first:border-t";
  var classNames = (0, _classnames["default"])("gui-tab-row tw grid bg-neutral-95 h-10 ".concat(borderClasses));
  var sharedState = {
    colCount: cssGridColCount
  };
  return /*#__PURE__*/_react["default"].createElement(TabsRowContext.Provider, {
    value: sharedState
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: classNames,
    style: {
      gridTemplateColumns: "repeat(".concat(cssGridColCount, ", minmax(0, 1fr))")
    }
  }, children));
}
TabsRow.defaultProps = {
  colCount: 8
};
//# sourceMappingURL=TabsRow.js.map