import React from "react";
import { TabsActionGroup } from "./TabsActionGroup";
import { TabsGroup } from "./TabsGroup";
import { TabsRow } from "./TabsRow";
declare const TabsContext: React.Context<{}>;
declare function Tabs({ children, className, tabsLength, activeTabId }: any): import("react/jsx-runtime").JSX.Element;
declare namespace Tabs {
    var ActionGroup: typeof TabsActionGroup;
    var Group: typeof TabsGroup;
    var Row: typeof TabsRow;
    var Tab: typeof import("./Tab").Tab;
    var TabDragLine: typeof import("./TabDragLine").TabDragLine;
    var TabName: typeof import("./TabName").TabName;
    var TabNameForm: typeof import("./TabNameForm").TabNameForm;
    var TabAside: typeof import("./TabAside").TabAside;
    var TabOptions: typeof import("./TabOptions").TabOptions;
    var defaultProps: {
        className: string;
    };
}
export { Tabs, TabsContext };
//# sourceMappingURL=index.d.ts.map