"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TreeLine = TreeLine;
exports.TreeLines = TreeLines;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _lodash = require("lodash");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function TreeLine() {
  return /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-treelines__line"
  });
}
function TreeLines(_ref) {
  var _ref$quantity = _ref.quantity,
    quantity = _ref$quantity === void 0 ? 0 : _ref$quantity;
  var lines = [];
  while (lines.length < quantity) {
    lines.push( /*#__PURE__*/_react["default"].createElement(TreeLine, {
      key: (0, _lodash.uniqueId)()
    }));
  }
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-treelines"
  }, lines);
}
TreeLines.defaultProps = {
  quantity: 0
};
var _default = exports["default"] = TreeLines;
//# sourceMappingURL=index.js.map