"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _CheckToggle = _interopRequireDefault(require("../CheckToggle"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function UserSearchHead(_ref) {
  var searchHeading = _ref.searchHeading,
    subheading = _ref.subheading,
    useDisplayToggle = _ref.useDisplayToggle,
    toggleListDisplay = _ref.toggleListDisplay,
    toggleActive = _ref.toggleActive;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-user-search__search-head"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-user-search__search-head-top"
  }, searchHeading && /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-user-search__search-heading"
  }, searchHeading), useDisplayToggle && /*#__PURE__*/_react["default"].createElement(_CheckToggle["default"], {
    id: "userSearchToggle",
    displaySmall: true,
    displayChecked: true,
    clickHandler: toggleListDisplay,
    checked: toggleActive
  })), subheading && /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-user-search__search-subheading"
  }, subheading));
}
UserSearchHead.defaultProps = {
  subheading: null,
  searchHeading: ""
};
var _default = exports["default"] = UserSearchHead;
//# sourceMappingURL=UserSearchHead.js.map