"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _Icon = _interopRequireDefault(require("../Icon"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function UserSearchListUserName(_ref) {
  var name = _ref.name,
    isSelected = _ref.isSelected;
  var classes = (0, _classnames["default"])("gui-user-search-list__user-name", {
    "gui-is-active": isSelected
  });
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: classes
  }, /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-text-overflow-ellipsis"
  }, name), isSelected && /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
    className: "gui-h-margin-left-quarter",
    name: "boldTick"
  }));
}
var _default = exports["default"] = UserSearchListUserName;
//# sourceMappingURL=UserSearchListUserName.js.map