"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ComponentLabel = ComponentLabel;
var _react = _interopRequireDefault(require("react"));
var _ = require("../../../..");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function ComponentLabel(_ref) {
  var editable = _ref.editable,
    label = _ref.label,
    onChange = _ref.onChange,
    onEmpty = _ref.onEmpty,
    maxLength = _ref.maxLength;
  if (editable) {
    return /*#__PURE__*/_react["default"].createElement(_.RenameInput, {
      className: "gui-component-label-text",
      text: label,
      label: "edit component label: ".concat(label),
      multiline: true,
      onRename: onChange,
      onEmpty: onEmpty,
      size: _.RenameInput.sizes.lrg,
      maxLength: maxLength
    });
  }
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-component-label-text"
  }, label);
}
//# sourceMappingURL=ComponentLabel.js.map