"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Dropzone = Dropzone;
var _react = _interopRequireDefault(require("react"));
var _reactDropzone = require("react-dropzone");
var _ButtonPrimary = require("../../modules/Button/ButtonPrimary/ButtonPrimary");
var _excluded = ["onDrop", "maxSize", "children"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function Dropzone(_ref) {
  var onDrop = _ref.onDrop,
    maxSize = _ref.maxSize,
    children = _ref.children,
    rest = _objectWithoutProperties(_ref, _excluded);
  var onDropzoneDrop = function onDropzoneDrop(acceptedFiles) {
    onDrop(acceptedFiles.map(function (file) {
      return Object.assign(file, {
        preview: URL.createObjectURL(file)
      });
    }));
  };
  var _useDropzone = (0, _reactDropzone.useDropzone)(_objectSpread({
      onDrop: onDropzoneDrop,
      maxSize: maxSize,
      noClick: !!children,
      multiple: true
    }, rest)),
    getRootProps = _useDropzone.getRootProps,
    getInputProps = _useDropzone.getInputProps;
  return /*#__PURE__*/_react["default"].createElement("div", _extends({}, getRootProps(), {
    className: "h-full p-4"
  }), /*#__PURE__*/_react["default"].createElement("input", getInputProps()), children || /*#__PURE__*/_react["default"].createElement("div", {
    className: "h-full flex items-center flex-col justify-center border border-dashed border-neutral-80 rounded"
  }, /*#__PURE__*/_react["default"].createElement(_ButtonPrimary.ButtonPrimary, {
    onClick: function onClick() {}
  }, "Browse my local files"), /*#__PURE__*/_react["default"].createElement("p", null, "or drag and drop here")));
}
//# sourceMappingURL=Dropzone.js.map