"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Modal = Modal;
var _react = _interopRequireDefault(require("react"));
var _reactModal = _interopRequireDefault(require("react-modal"));
var _ModalFooter = require("./ModalFooter");
var _ModalHeader = require("./ModalHeader");
var _ModalBody = require("./ModalBody");
var _ModalFooterConfirm = require("./ModalFooterConfirm");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
// @ts-expect-error TS(7016): Could not find a declaration file for module 'reac... Remove this comment to see the full error message

function Modal(_ref) {
  var children = _ref.children,
    show = _ref.show,
    onHide = _ref.onHide,
    srContentLabel = _ref.srContentLabel,
    size = _ref.size,
    keyboard = _ref.keyboard,
    className = _ref.className;
  var appElement = document.getElementById("app-wrapper");
  if (appElement) {
    _reactModal["default"].setAppElement(appElement);
  }
  return /*#__PURE__*/_react["default"].createElement(_reactModal["default"], {
    className: "gui-Modal ".concat(size, " ").concat(className),
    isOpen: show,
    closeTimeoutMS: 300,
    onRequestClose: onHide,
    contentLabel: srContentLabel,
    shouldCloseOnEsc: keyboard,
    ariaHideApp: !!appElement
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-react-modal-inner"
  }, children));
}
Modal.Footer = _ModalFooter.ModalFooter;
Modal.Header = _ModalHeader.ModalHeader;
Modal.Body = _ModalBody.ModalBody;
Modal.FooterConfirm = _ModalFooterConfirm.ModalFooterConfirm;
//# sourceMappingURL=Modal.js.map