"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ModalFooterConfirm = ModalFooterConfirm;
var _react = _interopRequireDefault(require("react"));
var _ = require("../../..");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function ModalFooterConfirm(_ref) {
  var confirmText = _ref.confirmText,
    tertiaryText = _ref.tertiaryText,
    tertiaryOnClick = _ref.tertiaryOnClick,
    secondaryText = _ref.secondaryText,
    secondaryOnClick = _ref.secondaryOnClick,
    disableSecondary = _ref.disableSecondary;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-react-modal-footer__confirm"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-react-modal-footer__confirm-text"
  }, confirmText), /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-react-modal-footer__confirm-actions"
  }, /*#__PURE__*/_react["default"].createElement(_.ButtonTertiary, {
    size: _.ButtonTertiary.sizes.sm,
    onClick: tertiaryOnClick,
    className: "mr-2"
  }, tertiaryText), /*#__PURE__*/_react["default"].createElement(_.ButtonSecondary, {
    size: _.ButtonSecondary.sizes.sm,
    onClick: secondaryOnClick,
    disabled: disableSecondary
  }, secondaryText)));
}
//# sourceMappingURL=ModalFooterConfirm.js.map