"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ModalHeader = ModalHeader;
var _react = _interopRequireDefault(require("react"));
var _CloseButton = require("../../modules/closeButton/CloseButton");
var _excluded = ["headerText", "onCloseClick", "navigationItems", "children", "className"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function ModalHeader(_ref) {
  var headerText = _ref.headerText,
    onCloseClick = _ref.onCloseClick,
    navigationItems = _ref.navigationItems,
    children = _ref.children,
    className = _ref.className,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement("div", _extends({
    className: "gui-react-modal-header ".concat(className)
  }, rest), /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-react-modal-header-inner"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-react-modal-header__text"
  }, headerText), children), navigationItems, typeof onCloseClick === "function" ? /*#__PURE__*/_react["default"].createElement(_CloseButton.CloseButton, {
    onClick: onCloseClick
  }) : null);
}
ModalHeader.defaultProps = {
  className: ""
};
//# sourceMappingURL=ModalHeader.js.map