import * as React from "react";
import { SidebarHeader } from "./SidebarHeader";
import { SidebarBody } from "./SidebarBody";
import { SidebarSection } from "./SidebarSection";
import { SidebarHeading } from "./SidebarHeading";
import { SidebarSubHeading } from "./SidebarSubHeading";
import { SidebarFooter } from "./SidebarFooter";
import { SidebarSubSection } from "./SidebarSubSection";
import { SidebarSectionHead } from "./SidebarSectionHead";
import { SidebarSectionToggle } from "./SidebarSectionToggle";
import { SidebarDescription } from "./SidebarDescription";
import { SidebarHiddenContent } from "./SidebarHiddenContent";
export declare function Sidebar({ children, className, ...rest }: any): import("react/jsx-runtime").JSX.Element;
export declare namespace Sidebar {
    var Header: typeof SidebarHeader;
    var Body: typeof SidebarBody;
    var Section: typeof SidebarSection;
    var SectionContext: React.Context<{}>;
    var Heading: typeof SidebarHeading;
    var SubSection: typeof SidebarSubSection;
    var SubHeading: typeof SidebarSubHeading;
    var Footer: typeof SidebarFooter;
    var SectionHead: typeof SidebarSectionHead;
    var SectionToggle: typeof SidebarSectionToggle;
    var Description: typeof SidebarDescription;
    var HiddenContent: typeof SidebarHiddenContent;
}
//# sourceMappingURL=Sidebar.d.ts.map