"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WorkflowStep = WorkflowStep;
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _StoryItem = _interopRequireDefault(require("../../../../stories/styleguide/StoryItem"));
var _ = require("../../..");
var _workflowStep = require("./workflowStep");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; } // @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "GUI/Workflow Step",
  component: _workflowStep.WorkflowStep
};
function WorkflowStep() {
  var _useState = (0, _react.useState)(false),
    _useState2 = _slicedToArray(_useState, 2),
    showBody = _useState2[0],
    setShowBody = _useState2[1];
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "Workflow Step"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      width: "680px"
    }
  }, /*#__PURE__*/_react["default"].createElement(_workflowStep.WorkflowStep, {
    className: "w-full h-full border border-solid border-neutral-90",
    showBody: showBody,
    isActive: false,
    onClick: function onClick() {
      return setShowBody(!showBody);
    }
  }, /*#__PURE__*/_react["default"].createElement(_workflowStep.WorkflowStep.Header, null, /*#__PURE__*/_react["default"].createElement(_workflowStep.WorkflowStep.Title, {
    statusColour: "red"
  }, "Draft"), /*#__PURE__*/_react["default"].createElement(_workflowStep.WorkflowStep.Meta, {
    actions: /*#__PURE__*/_react["default"].createElement(_workflowStep.WorkflowStep.Actions, null, function () {
      return "Actions";
    })
  }, "Meta")), /*#__PURE__*/_react["default"].createElement(_workflowStep.WorkflowStep.CollapsibleBody, null, /*#__PURE__*/_react["default"].createElement("p", {
    className: "text-neutral-primary text-base pt-2"
  }, "Creating the initial draft of content following the project style guide and requirements for this item."), /*#__PURE__*/_react["default"].createElement(_.TextForm, {
    className: "pt-4 pr-4"
  }, /*#__PURE__*/_react["default"].createElement(_.TextForm.Body, null, /*#__PURE__*/_react["default"].createElement(_.Label, {
    htmlFor: "test"
  }, "leave a Note", /*#__PURE__*/_react["default"].createElement("span", {
    className: "text-neutral-primary"
  }, "(OPTIONAL)")), /*#__PURE__*/_react["default"].createElement(_.TextForm.Input, {
    id: "test"
  })), /*#__PURE__*/_react["default"].createElement(_.TextForm.Submission, null, /*#__PURE__*/_react["default"].createElement(_.TextForm.SubmitButton, {
    size: "sm"
  }, "Set Status"))))), /*#__PURE__*/_react["default"].createElement(_.ButtonPrimary, {
    className: "mt-4",
    onClick: function onClick() {
      return setShowBody(false);
    }
  }, "Close Step"))), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "Active Step"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      width: "680px"
    }
  }, /*#__PURE__*/_react["default"].createElement(_workflowStep.WorkflowStep, {
    className: "w-full h-full",
    showBody: true,
    isActive: true
  }, /*#__PURE__*/_react["default"].createElement(_workflowStep.WorkflowStep.Header, null, /*#__PURE__*/_react["default"].createElement(_workflowStep.WorkflowStep.Title, null, "Draft")), /*#__PURE__*/_react["default"].createElement(_workflowStep.WorkflowStep.Body, null, /*#__PURE__*/_react["default"].createElement("p", {
    className: "text-neutral-primary text-base leading-5 m-0 pt-2"
  }, "Creating the initial draft of content following the project style guide and requirements for this item."))))));
}
WorkflowStep.parameters = {
  controls: {
    hideNoControlsWarning: true
  }
};
//# sourceMappingURL=WorkflowStep.stories.js.map