"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WorkflowStepTitle = WorkflowStepTitle;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _statusIndicatorCircle = require("../../modules/statusIndicatorCircle/statusIndicatorCircle");
var _workflowStepProvider = require("./workflowStepProvider");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function WorkflowStepTitle(_ref) {
  var children = _ref.children,
    statusColour = _ref.statusColour,
    approved = _ref.approved;
  var _useContext = (0, _react.useContext)(_workflowStepProvider.WorkflowStepContext),
    isActive = _useContext.isActive,
    showActions = _useContext.showActions,
    showBody = _useContext.showBody;
  var titleClassName = (0, _classnames["default"])("gui-workflow-step__title", {
    "text-neutral-primary": !isActive && !showActions && !showBody,
    "text-neutral-20": !isActive && showActions || !isActive && showBody
  });
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: titleClassName
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-workflow-step__status"
  }, /*#__PURE__*/_react["default"].createElement(_statusIndicatorCircle.StatusIndicatorCircle, {
    color: statusColour,
    thickBorder: showActions || showBody,
    solid: isActive,
    icon: approved && "boldTickSmall"
  })), children);
}
//# sourceMappingURL=workflowStepTitle.js.map