"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ButtonAvatar = ButtonAvatar;
var _react = _interopRequireDefault(require("react"));
var _ = require("../../../..");
var _classnames = _interopRequireDefault(require("classnames"));
var _ButtonBase = require("../ButtonBase");
var _excluded = ["initials", "url", "disabled", "className", "active"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function ButtonAvatar(_ref) {
  var initials = _ref.initials,
    url = _ref.url,
    disabled = _ref.disabled,
    className = _ref.className,
    active = _ref.active,
    rest = _objectWithoutProperties(_ref, _excluded);
  var classes = (0, _classnames["default"])("gui-button-avatar", className, {
    "gui-button-avatar-active": !disabled && active
  });
  return /*#__PURE__*/_react["default"].createElement(_ButtonBase.ButtonBase, _extends({
    className: classes,
    disabled: disabled,
    size: false
  }, rest), /*#__PURE__*/_react["default"].createElement(_.Avatar, {
    initials: initials,
    url: url
  }));
}
ButtonAvatar.defaultProps = {
  url: "",
  disabled: false,
  className: "",
  active: false
};
//# sourceMappingURL=ButtonAvatar.js.map