/// <reference types="react" />
export declare const sizes: {
    lg: string;
    md: string;
    sm: string;
    xs: string;
};
export declare const getSizeClasses: (size: any) => "" | "w-12 h-12" | "w-8 h-8" | "w-6 h-6";
export interface ButtonTypes extends React.ButtonHTMLAttributes<HTMLButtonElement> {
    loading?: boolean;
    loaderRight?: boolean;
    size?: string | boolean;
    connectedLeft?: boolean;
    connectedRight?: boolean;
}
export declare const defaultProps: {
    className: string;
    type: string;
    loading: boolean;
    loaderRight: boolean;
    size: string;
    disabled: boolean;
    connectedLeft: boolean;
    connectedRight: boolean;
    onClick: () => void;
};
export declare const buttonIconDefaultProps: {
    active: boolean;
    defaultFillColor: boolean;
    className: string;
    type: string;
    loading: boolean;
    loaderRight: boolean;
    size: string;
    disabled: boolean;
    connectedLeft: boolean;
    connectedRight: boolean;
    onClick: () => void;
};
//# sourceMappingURL=common.d.ts.map