"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ButtonAvatar = ButtonAvatar;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _faker = _interopRequireDefault(require("faker"));
var _StoryItem = _interopRequireDefault(require("../../../../../../stories/styleguide/StoryItem"));
var _ = require("../../../../..");
var _ButtonStoryItem = require("../ButtonStoryItem");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); } // @ts-expect-error TS(7016): Could not find a declaration file for module 'fake... Remove this comment to see the full error message
// @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "GUI/Buttons/Button Avatar",
  component: _.ButtonAvatar
};
function ButtonAvatar() {
  var props = {
    url: _faker["default"].image.avatar(),
    initials: "PP"
  };
  return /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "ButtonAvatarComponent",
    description: "The button avatar component"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "flex flex-wrap"
  }, /*#__PURE__*/_react["default"].createElement(_ButtonStoryItem.ButtonStoryItem, {
    title: "Default"
  }, /*#__PURE__*/_react["default"].createElement(_.ButtonAvatar, props, "Button text")), /*#__PURE__*/_react["default"].createElement(_ButtonStoryItem.ButtonStoryItem, {
    title: "Disabled"
  }, /*#__PURE__*/_react["default"].createElement(_.ButtonAvatar, _extends({}, props, {
    disabled: true
  }), "Button text")), /*#__PURE__*/_react["default"].createElement(_ButtonStoryItem.ButtonStoryItem, {
    title: "Active"
  }, /*#__PURE__*/_react["default"].createElement(_.ButtonAvatar, _extends({}, props, {
    active: true
  }), "Button text")))));
}
ButtonAvatar.parameters = {
  controls: {
    hideNoControlsWarning: true
  }
};
//# sourceMappingURL=ButtonAvatar.stories.js.map