"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ButtonLink = ButtonLink;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _StoryItem = _interopRequireDefault(require("../../../../../../stories/styleguide/StoryItem"));
var _ButtonLink = require("../../ButtonLink/ButtonLink");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
/* eslint-disable no-console */
// @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "GUI/Buttons/Button Link",
  component: _ButtonLink.ButtonLink
};
function ButtonLink() {
  return /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "ButtonLinkComponent",
    description: "The link button component"
  }, /*#__PURE__*/_react["default"].createElement(_ButtonLink.ButtonLink, {
    onClick: function onClick() {
      return console.log("Yo. Why did you click me?");
    }
  }, "Looks like a link, acts like a button!"));
}
ButtonLink.parameters = {
  controls: {
    hideNoControlsWarning: true
  }
};
//# sourceMappingURL=ButtonLink.stories.js.map