"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ButtonSuccess = ButtonSuccess;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _lodash = require("lodash");
var _StoryItem = _interopRequireDefault(require("../../../../../../stories/styleguide/StoryItem"));
var _ = require("../../../../..");
var _ButtonStoryItem = require("../ButtonStoryItem");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; } // @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "GUI/Buttons/Button Success",
  component: _.ButtonSuccess
};
var _ButtonSuccessCompone = _.ButtonSuccess.sizes,
  lg = _ButtonSuccessCompone.lg,
  storySizes = _objectWithoutProperties(_ButtonSuccessCompone, ["lg"]);
function ButtonSuccess() {
  return /*#__PURE__*/_react["default"].createElement("div", null, (0, _lodash.map)(storySizes, function (size) {
    return /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
      key: size,
      title: "ButtonSuccessComponent ".concat(size.toUpperCase()),
      description: "The ".concat(size.toUpperCase(), " success button component")
    }, /*#__PURE__*/_react["default"].createElement("div", {
      className: "flex flex-wrap"
    }, /*#__PURE__*/_react["default"].createElement(_ButtonStoryItem.ButtonStoryItem, {
      title: "Default"
    }, /*#__PURE__*/_react["default"].createElement(_.ButtonSuccess, {
      size: size
    }, "Button text"))));
  }));
}
ButtonSuccess.parameters = {
  controls: {
    hideNoControlsWarning: true
  }
};
//# sourceMappingURL=ButtonSuccess.stories.js.map