"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Calendar = Calendar;
exports.CalendarWithLeftAlignedHeader = CalendarWithLeftAlignedHeader;
exports.CalendarWithWeekends = CalendarWithWeekends;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _ = require("../../..");
var _StoryItem = _interopRequireDefault(require("../../../../stories/styleguide/StoryItem"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
// @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "GUI/Calendar"
};
function Calendar() {
  return /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "CalendarComponent",
    description: "Using react day picker to give us a lovely calendar"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      width: "320px"
    }
  }, /*#__PURE__*/_react["default"].createElement(_.Calendar, null)));
}
function CalendarWithWeekends() {
  return /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "Calender With Weekends",
    description: "Using react day picker to give us a lovely calendar"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      width: "320px"
    }
  }, /*#__PURE__*/_react["default"].createElement(_.Calendar, {
    enableWeekendDays: true
  })));
}
function CalendarWithLeftAlignedHeader() {
  return /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "Calender With Left-aligned Header",
    description: "Using react day picker to give us a lovely calendar"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      width: "320px"
    }
  }, /*#__PURE__*/_react["default"].createElement(_.Calendar, {
    leftAlignHeader: true
  })));
}
Calendar.parameters = {
  controls: {
    hideNoControlsWarning: true
  }
};
//# sourceMappingURL=Calendar.stories.js.map