"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Control = Control;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ = require("../../..");
var _excluded = ["onClick", "iconName", "children", "className", "danger"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function Control(_ref) {
  var onClick = _ref.onClick,
    iconName = _ref.iconName,
    children = _ref.children,
    className = _ref.className,
    danger = _ref.danger,
    buttonProps = _objectWithoutProperties(_ref, _excluded);
  var classNames = (0, _classnames["default"])("gui-control flex mr-2", className);
  var ButtonComponent = danger ? _.ButtonIconContainedDanger : _.ButtonIconContained;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: classNames
  }, children || /*#__PURE__*/_react["default"].createElement(ButtonComponent, _extends({
    name: iconName,
    onClick: onClick,
    size: "sm"
  }, buttonProps)));
}
Control.defaultProps = {
  danger: false
};
//# sourceMappingURL=Control.js.map