"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DateSet = DateSet;
var _react = _interopRequireDefault(require("react"));
var _moment = _interopRequireDefault(require("moment"));
var _DateSetTimeDropdown = require("./DateSetTimeDropdown");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function DateSet(_ref) {
  var className = _ref.className,
    date = _ref.date,
    time = _ref.time,
    onTimeSelect = _ref.onTimeSelect,
    subtext = _ref.subtext;
  if (!date) {
    return null;
  }
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-date-set ".concat(className)
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-date-set-date"
  }, (0, _moment["default"])(date).format("MMMM DD, YYYY"), " at ", /*#__PURE__*/_react["default"].createElement(_DateSetTimeDropdown.DateSetTimeDropdown, {
    selectedTime: time,
    onTimeSelect: onTimeSelect
  })), !!subtext && /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-date-set-subtext"
  }, subtext));
}
//# sourceMappingURL=DateSet.js.map