import * as React from "react";
import { InputHelper } from "./InputHelper";
declare const sizes: {
    readonly md: "md";
    readonly sm: "sm";
};
interface Props extends Omit<React.InputHTMLAttributes<HTMLInputElement>, "size"> {
    valid?: boolean;
    invalid?: boolean;
    enhanceNativeSupport?: boolean;
    inputRef?: React.RefObject<HTMLInputElement>;
    size?: (typeof sizes)[keyof typeof sizes];
}
export declare function Input({ id, className, valid, invalid, enhanceNativeSupport, size, value, onChange, inputRef, ...rest }: Props): import("react/jsx-runtime").JSX.Element;
export declare namespace Input {
    var Helper: typeof InputHelper;
    var sizes: {
        readonly md: "md";
        readonly sm: "sm";
    };
}
export {};
//# sourceMappingURL=Input.d.ts.map