"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Inputs = Inputs;
exports["default"] = void 0;
var React = _interopRequireWildcard(require("react"));
var _StoryItem = _interopRequireDefault(require("../../../../stories/styleguide/StoryItem"));
var _ = require("../../..");
var _InputWithMentions = require("./InputWithMentions");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); } // @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "GUI/Form/Inputs/Inputs",
  component: _.Input,
  args: {
    value: "",
    disabled: false,
    invalid: false,
    valid: false,
    enhanceNativeSupport: false,
    required: false,
    type: "text",
    size: "md"
  },
  argTypes: {
    type: {
      name: "Type",
      control: {
        type: "radio"
      },
      options: ["text", "email", "password", "number"]
    },
    size: {
      name: "Size",
      control: {
        type: "radio"
      },
      options: ["md", "sm"]
    }
  }
};
function Inputs(args) {
  var mockUsers = [{
    id: 1337,
    name: "Alan Turing",
    initials: "AT",
    display: "Alan T.",
    email: "the-enigma@example.com",
    pending: "true"
  }, {
    id: 2,
    name: "Bruce",
    avatar: "https://gathercontent-production-avatars.s3-us-west-2.amazonaws.com/208205_yHGd7vA5HRxsnMQpES4UzjJ7Yxgn6Bp54165gqksRXyDJhuOnW88H6djhLJeE2BZ.jpg",
    initials: "BB",
    display: "brucebanner",
    email: "bruce@bruce.com"
  }, {
    id: "saul",
    display: "saulgoodman",
    name: "Saul Goodman",
    initials: "SG",
    email: "heythere@lol.com"
  }, {
    id: "456",
    display: "jessepinkman",
    name: "Jesse Pinkman",
    email: "heythere@lol.com",
    initials: "JP",
    url: "https://d3iw72m71ie81c.cloudfront.net/2eae47ef-6f37-46fe-a02b-52cff401a8f9-me.jpg"
  }];
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_StoryItem["default"], {
    title: "Input"
  }, /*#__PURE__*/React.createElement(_.Label, {
    htmlFor: "input-1"
  }, "Label"), /*#__PURE__*/React.createElement(_.Input, _extends({
    id: "input-1",
    placeholder: "Describe this input..."
  }, args))), /*#__PURE__*/React.createElement(_StoryItem["default"], {
    title: "Input (with an icon)"
  }, /*#__PURE__*/React.createElement(_.Label, {
    htmlFor: "input-2"
  }, "Label"), /*#__PURE__*/React.createElement(_.InputIcon, _extends({
    id: "input-2",
    placeholder: "Describe this input...",
    iconName: "search"
  }, args))), /*#__PURE__*/React.createElement(_StoryItem["default"], {
    title: "Input (with mentions)"
  }, /*#__PURE__*/React.createElement(_.Label, {
    htmlFor: "input-3"
  }, "Label"), /*#__PURE__*/React.createElement(_InputWithMentions.InputWithMentions, _extends({
    users: mockUsers,
    onChange: function onChange() {},
    onMention: function onMention() {},
    id: "input-3",
    placeholder: "@mention your team",
    value: ""
  }, args))));
}
//# sourceMappingURL=Input.stories.js.map