"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Loader = Loader;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ = require("../../..");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function Loader(_ref) {
  var heading = _ref.heading,
    progress = _ref.progress,
    size = _ref.size,
    className = _ref.className,
    isOverlay = _ref.isOverlay;
  var baseClassNames = "gui-gc-loader flex items-center flex-col justify-center ".concat(className);
  var classNames = (0, _classnames["default"])(baseClassNames, {
    "gui-loader-sm": size === "sm",
    "gui-loader-md": size === "md",
    "gui-loader-overlay": isOverlay,
    "gui-loader-lrg": size === "lrg" || progress
  });
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: classNames
  }, heading && /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-loader-heading weight-semi-bold mb-2"
  }, heading), /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-loader-spinner flex items-center justify-center w-full"
  }, /*#__PURE__*/_react["default"].createElement(_.Icon, {
    name: "loader"
  }), /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-loader-progress absolute text-sm text-neutral-primary"
  }, progress)));
}
Loader.defaultProps = {
  heading: null,
  progress: null
};
//# sourceMappingURL=Loader.js.map