"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Navigation = Navigation;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _StoryItem = _interopRequireDefault(require("../../../../stories/styleguide/StoryItem"));
var _NavigationItems = require("./NavigationItems");
var _NavigationItem = require("./NavigationItem");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
// @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "GUI/Navigation",
  component: _NavigationItems.NavigationItems
};
function Navigation() {
  return /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "Navigation"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "h-12"
  }, /*#__PURE__*/_react["default"].createElement(_NavigationItems.NavigationItems, {
    defaultTabId: "upload",
    srLabel: "Storybook Navigation"
  }, /*#__PURE__*/_react["default"].createElement(_NavigationItem.NavigationItem, {
    id: "upload"
  }, "Upload"), /*#__PURE__*/_react["default"].createElement(_NavigationItem.NavigationItem, {
    id: "project"
  }, "Project"))));
}
Navigation.parameters = {
  controls: {
    hideNoControlsWarning: true
  }
};
//# sourceMappingURL=NavigationItems.stories.js.map