"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SelectionControls = SelectionControls;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _ = require("../../..");
var _StoryItem = _interopRequireDefault(require("../../../../stories/styleguide/StoryItem"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function SelectionControlStoryItem(_ref) {
  var children = _ref.children,
    title = _ref.title;
  return /*#__PURE__*/_react["default"].createElement(_.TextForm, {
    onSubmit: function onSubmit() {},
    className: "flex flex-col items-center px-2"
  }, /*#__PURE__*/_react["default"].createElement("h4", null, title), children);
}
var _default = exports["default"] = {
  title: "GUI/Form/Inputs/Selection Controls"
};
function SelectionControls() {
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "Checkbox"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "flex"
  }, /*#__PURE__*/_react["default"].createElement(SelectionControlStoryItem, {
    title: "Default"
  }, /*#__PURE__*/_react["default"].createElement(_.CheckboxInput, null)), /*#__PURE__*/_react["default"].createElement(SelectionControlStoryItem, {
    title: "Checked"
  }, /*#__PURE__*/_react["default"].createElement(_.CheckboxInput, {
    checked: true
  })), /*#__PURE__*/_react["default"].createElement(SelectionControlStoryItem, {
    title: "Disabled"
  }, /*#__PURE__*/_react["default"].createElement(_.CheckboxInput, {
    disabled: true
  })), /*#__PURE__*/_react["default"].createElement(SelectionControlStoryItem, {
    title: "Disabled & checked"
  }, /*#__PURE__*/_react["default"].createElement(_.CheckboxInput, {
    disabled: true,
    checked: true
  })), /*#__PURE__*/_react["default"].createElement(SelectionControlStoryItem, {
    title: "Errored"
  }, /*#__PURE__*/_react["default"].createElement(_.CheckboxInput, {
    hasError: true
  })), /*#__PURE__*/_react["default"].createElement(SelectionControlStoryItem, {
    title: "Errored & checked"
  }, /*#__PURE__*/_react["default"].createElement(_.CheckboxInput, {
    hasError: true,
    checked: true
  })))), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "Radio"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "flex"
  }, /*#__PURE__*/_react["default"].createElement(SelectionControlStoryItem, {
    title: "Default"
  }, /*#__PURE__*/_react["default"].createElement(_.RadioInput, null)), /*#__PURE__*/_react["default"].createElement(SelectionControlStoryItem, {
    title: "Checked"
  }, /*#__PURE__*/_react["default"].createElement(_.RadioInput, {
    checked: true
  })), /*#__PURE__*/_react["default"].createElement(SelectionControlStoryItem, {
    title: "Disabled"
  }, /*#__PURE__*/_react["default"].createElement(_.RadioInput, {
    disabled: true
  })), /*#__PURE__*/_react["default"].createElement(SelectionControlStoryItem, {
    title: "Disabled & checked"
  }, /*#__PURE__*/_react["default"].createElement(_.RadioInput, {
    disabled: true,
    checked: true
  })), /*#__PURE__*/_react["default"].createElement(SelectionControlStoryItem, {
    title: "Errored"
  }, /*#__PURE__*/_react["default"].createElement(_.RadioInput, {
    hasError: true
  })), /*#__PURE__*/_react["default"].createElement(SelectionControlStoryItem, {
    title: "Errored & checked"
  }, /*#__PURE__*/_react["default"].createElement(_.RadioInput, {
    hasError: true,
    checked: true
  })))));
}
SelectionControls.parameters = {
  controls: {
    hideNoControlsWarning: true
  }
};
//# sourceMappingURL=SelectionControls.stories.js.map