"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WorkflowDropdown = WorkflowDropdown;
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _ = require("../../..");
var _StoryItem = _interopRequireDefault(require("../../../../stories/styleguide/StoryItem"));
var _faker = _interopRequireDefault(require("faker"));
var _moment = _interopRequireDefault(require("moment"));
var _Dropdown = _interopRequireDefault(require("../../../Dropdown"));
var _workflowStep = require("../../components/workflowStep/workflowStep");
var _WorkflowDropdown = require("./WorkflowDropdown");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; } // @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
// @ts-expect-error TS(7016): Could not find a declaration file for module 'fake... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "GUI/Dropdowns/Workflow Dropdown",
  component: _WorkflowDropdown.WorkflowDropdown,
  args: {
    search: ""
  }
};
function WorkflowDropdownStory(_ref) {
  var search = _ref.search,
    assigned = _ref.assigned,
    unassigned = _ref.unassigned;
  var workflowSteps = [{
    title: "Draft",
    description: "Creating the initial draft of content following the project style guide and requirements for this item.",
    colour: "#F9D006"
  }, {
    title: "Review",
    description: "Content to be approved by key stakeholders. If changes are to be made, pass it back to Draft for another round.",
    colour: "#006EFF"
  }, {
    title: "Publish",
    description: "Ready to be published to the CMS.",
    colour: "#6E19E6"
  }, {
    title: "Live",
    description: "Successfully published to the CMS. Live!",
    colour: "#E51A2B"
  }];
  var _useState = (0, _react.useState)(null),
    _useState2 = _slicedToArray(_useState, 2),
    selectedIndex = _useState2[0],
    setSelectedIndex = _useState2[1];
  var _useState3 = (0, _react.useState)(0),
    _useState4 = _slicedToArray(_useState3, 2),
    activeIndex = _useState4[0],
    setActiveIndex = _useState4[1];
  var actions = /*#__PURE__*/_react["default"].createElement(_workflowStep.WorkflowStep.Actions, null, function (onActionToggle) {
    return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_.DueDateDropdown, {
      id: "due-date-dropdown",
      selectedDay: (0, _moment["default"])().toDate(),
      onToggle: onActionToggle
    }), /*#__PURE__*/_react["default"].createElement(_.AssigneeDropdown, {
      id: "assignee-dropdown",
      searchValue: search,
      onToggle: onActionToggle
    }, /*#__PURE__*/_react["default"].createElement(_.DropdownContent.List, {
      heading: "ASSIGNED"
    }, assigned.map(function (assignee) {
      return /*#__PURE__*/_react["default"].createElement(_.Person, {
        key: assignee.name,
        name: assignee.name,
        subtitle: assignee.subtitle,
        avatarUrl: assignee.avatarUrl,
        selected: assignee.selected,
        interactive: true,
        bordered: true
      });
    })), /*#__PURE__*/_react["default"].createElement(_.DropdownContent.List, {
      heading: "UNASSIGNED"
    }, unassigned.map(function (unassignee) {
      return /*#__PURE__*/_react["default"].createElement(_.Person, {
        key: unassignee.name,
        name: unassignee.name,
        subtitle: unassignee.subtitle,
        avatarUrl: unassignee.avatarUrl,
        selected: unassignee.selected,
        interactive: true,
        bordered: true
      });
    }))));
  });
  return /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "Workflow Dropdown"
  }, /*#__PURE__*/_react["default"].createElement(_WorkflowDropdown.WorkflowDropdown, null, /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].Trigger, null, function (_ref2) {
    var toggleShowContent = _ref2.toggleShowContent;
    return /*#__PURE__*/_react["default"].createElement(_.ButtonPrimary, {
      onClick: toggleShowContent
    }, "Open Dropdown");
  }), /*#__PURE__*/_react["default"].createElement(_WorkflowDropdown.WorkflowDropdown.Content, null, workflowSteps.map(function (step, index) {
    return /*#__PURE__*/_react["default"].createElement(_workflowStep.WorkflowStep, {
      key: step.title,
      className: "w-full h-full border border-solid border-neutral-90",
      showBody: selectedIndex === index,
      isActive: activeIndex === index
      // @ts-expect-error TS(2345): Argument of type 'number' is not assignable to par... Remove this comment to see the full error message
      ,
      onClick: function onClick() {
        return setSelectedIndex(index);
      }
    }, /*#__PURE__*/_react["default"].createElement(_workflowStep.WorkflowStep.Header, null, /*#__PURE__*/_react["default"].createElement(_workflowStep.WorkflowStep.Title, {
      statusColour: step.colour
    }, step.title), /*#__PURE__*/_react["default"].createElement(_workflowStep.WorkflowStep.Meta, {
      actions: actions
    }, "Meta")), /*#__PURE__*/_react["default"].createElement(_workflowStep.WorkflowStep.CollapsibleBody, null, /*#__PURE__*/_react["default"].createElement("p", {
      className: "text-neutral-primary text-base pt-2"
    }, step.description), /*#__PURE__*/_react["default"].createElement(_.TextForm, {
      className: "pt-4 pr-4"
    }, /*#__PURE__*/_react["default"].createElement(_.TextForm.Body, {
      className: "pb-4"
    }, /*#__PURE__*/_react["default"].createElement(_.Label, {
      htmlFor: "test"
    }, "leave a Note", /*#__PURE__*/_react["default"].createElement("span", {
      className: "text-neutral-primary"
    }, "(OPTIONAL)")), /*#__PURE__*/_react["default"].createElement(_.TextForm.Input, {
      id: "test"
    })), /*#__PURE__*/_react["default"].createElement(_.TextForm.Submission, null, /*#__PURE__*/_react["default"].createElement(_.TextForm.SubmitButton, {
      onClick: function onClick() {
        return setActiveIndex(index);
      },
      size: "sm"
    }, "Set Status")))));
  }))));
}
function WorkflowDropdown(args) {
  var getPerson = function getPerson() {
    return {
      name: _faker["default"].name.findName(),
      subtitle: _faker["default"].internet.email(),
      avatarUrl: _faker["default"].image.avatar(),
      selected: _faker["default"].random["boolean"]()
    };
  };
  var assigned = [getPerson(), getPerson()];
  var unassigned = [getPerson(), getPerson(), getPerson(), getPerson()];
  return /*#__PURE__*/_react["default"].createElement(WorkflowDropdownStory, _extends({
    assigned: assigned,
    unassigned: unassigned
  }, args));
}
//# sourceMappingURL=WorkflowDropdown.stories.js.map