"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AvatarInformation = AvatarInformation;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function AvatarInformation(props) {
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-avatar__information ".concat(props.className)
  }, props.name && /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-avatar__name"
  }, props.name), props.email && /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-avatar__email",
    title: props.email
  }, props.pending && /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-avatar__pending"
  }, "Pending"), " \u2022", " "), props.email), props.actions && /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-avatar__actions"
  }, props.actions));
}
AvatarInformation.defaultProps = {
  className: "",
  name: "",
  email: "",
  actions: null,
  pending: false
};
var _default = exports["default"] = AvatarInformation;
//# sourceMappingURL=AvatarInformation.js.map