import { HTMLAttributes } from "react";
interface Props extends HTMLAttributes<HTMLDivElement> {
    wrapperClassName?: string;
    colour?: string;
    name?: string;
    url?: string;
    initials?: string;
    isOffline?: boolean;
    isHighlighted?: boolean;
    smallSize?: boolean;
    largeSize?: boolean;
    extraLargeSize?: boolean;
    additional?: string;
    bordered?: boolean;
    animate?: boolean;
    locked?: boolean;
    onRemove?: () => {};
}
export declare function Avatar({ className, children, wrapperClassName, colour, name, url, initials, isOffline, isHighlighted, smallSize, largeSize, extraLargeSize, additional, bordered, animate, locked, onRemove, }: Props): import("react/jsx-runtime").JSX.Element;
export declare namespace Avatar {
    var defaultProps: {
        className: string;
        wrapperClassName: string;
        colour: string;
        name: string;
        url: string;
        initials: string;
        isOffline: boolean;
        isHighlighted: boolean;
        smallSize: boolean;
        largeSize: boolean;
        extraLargeSize: boolean;
        children: string;
        additional: string;
        bordered: boolean;
        animate: boolean;
        locked: boolean;
    };
}
export default Avatar;
//# sourceMappingURL=index.d.ts.map