"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _ExpandingTextArea = _interopRequireDefault(require("../ExpandingTextArea"));
var _react2 = _interopRequireDefault(require("linkifyjs/react"));
var _excluded = ["instructions", "className", "editable", "onChange", "placeholder"]; // @ts-expect-error TS(2307): Cannot find module 'lib/ExpandingTextArea' or its ... Remove this comment to see the full error message
// @ts-expect-error TS(7016): Could not find a declaration file for module 'link... Remove this comment to see the full error message
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function ColFieldInstructions(_ref) {
  var instructions = _ref.instructions,
    className = _ref.className,
    editable = _ref.editable,
    onChange = _ref.onChange,
    placeholder = _ref.placeholder,
    props = _objectWithoutProperties(_ref, _excluded);
  var classes = "gui-col-field__instructions py-4 px-5 border-0 text-sm whitespace-pre-line ".concat(className);
  if (editable) {
    return /*#__PURE__*/_react["default"].createElement(_ExpandingTextArea["default"], _extends({
      type: "text",
      value: instructions,
      className: classes,
      handleOnChange: onChange,
      placeholder: placeholder
    }, props));
  }
  return /*#__PURE__*/_react["default"].createElement("div", _extends({
    className: classes
  }, props), /*#__PURE__*/_react["default"].createElement(_react2["default"], null, instructions));
}
ColFieldInstructions.defaultProps = {
  className: "",
  editable: false,
  onChange: function onChange() {},
  placeholder: "Add some instructions..."
};
var _default = exports["default"] = ColFieldInstructions;
//# sourceMappingURL=ColFieldInstructions.js.map