"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ColField = ColField;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _ColField = _interopRequireDefault(require("../ColField"));
var _ = require("../..");
var _StoryItem = _interopRequireDefault(require("../../../stories/styleguide/StoryItem"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); } // @ts-expect-error TS(2307): Cannot find module 'lib/ColField/ColField' or its ... Remove this comment to see the full error message
var TextPreviewSVG = function TextPreviewSVG(props) {
  return /*#__PURE__*/_react["default"].createElement("svg", _extends({
    width: "680",
    height: "40",
    viewBox: "0 0 680 40",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M0 0v8.876h61.015V0H0zM84.946 0v8.876h61.015V0H84.946zM230.907 8.876V0h-61.015v8.876h61.015zM291.706 8.876V0h-36.76v8.876h36.76zM376.652 8.876V0h-61.015v8.876h61.015zM534.363 8.876V0h-133.78v8.876h133.78zM558.294 0v8.876H680V0H558.294zM0 31.124V40h61.015v-8.876H0zM84.946 31.124V40h61.015v-8.876H84.946zM206.652 40v-8.876h-36.76V40h36.76zM303.779 40v-8.876h-73.088V40h73.088zM388.725 40v-8.876h-61.014V40h61.014zM449.524 31.124h-36.759V40h36.759v-8.876zM570.799 40v-8.876h-97.343V40h97.343zM594.731 31.124V40h73.195v-8.876h-73.195z",
    fill: "#E1E6EB"
  }));
};
var _default = exports["default"] = {
  title: "Legacy/Col Field",
  component: _ColField["default"],
  args: {
    visible: true,
    editable: true,
    selected: false,
    hovered: false
  }
};
function ColField(_ref) {
  var visible = _ref.visible,
    editable = _ref.editable,
    selected = _ref.selected,
    hovered = _ref.hovered;
  return /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "ColFieldComponent"
  }, /*#__PURE__*/_react["default"].createElement(_.Row, null, /*#__PURE__*/_react["default"].createElement(_.Col, {
    xs: 12,
    sm: 8,
    smOffset: 2
  }, /*#__PURE__*/_react["default"].createElement(_ColField["default"], {
    visible: visible,
    isSelected: selected,
    isHovered: hovered
  }, /*#__PURE__*/_react["default"].createElement(_ColField["default"].Header, null, /*#__PURE__*/_react["default"].createElement(_ColField["default"].Label, {
    editable: editable,
    onChange: function onChange() {},
    label: "Howdy"
  })), /*#__PURE__*/_react["default"].createElement(_ColField["default"].Body, null, /*#__PURE__*/_react["default"].createElement("div", {
    className: "py-5 px-6 text-center"
  }, /*#__PURE__*/_react["default"].createElement(TextPreviewSVG, null))), /*#__PURE__*/_react["default"].createElement(_ColField["default"].Footer, null, /*#__PURE__*/_react["default"].createElement(_ColField["default"].Instructions, {
    editable: true,
    onChange: function onChange() {},
    instructions: "Lots of instructions here how fun blabla."
  }))))));
}
//# sourceMappingURL=ColField.stories.js.map