"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CollectionsTable = CollectionsTable;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _CollectionsTableHead = _interopRequireDefault(require("./CollectionsTableHead"));
var _CollectionsTableHeading = _interopRequireDefault(require("./CollectionsTableHeading"));
var _CollectionsTableRow = _interopRequireDefault(require("./CollectionsTableRow"));
var _CollectionsTableCell = _interopRequireDefault(require("./CollectionsTableCell"));
var _CollectionsTableCellContent = _interopRequireDefault(require("./CollectionsTableCellContent"));
var _propTypes = require("./propTypes");
var _excluded = ["children", "className"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function CollectionsTable(_ref) {
  var children = _ref.children,
    className = _ref.className,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement("div", _extends({
    className: "gui-collections-table ".concat(className)
  }, props, {
    role: "table"
  }), children);
}
CollectionsTable.defaultProps = _propTypes.defaultProps;
CollectionsTable.Head = _CollectionsTableHead["default"];
CollectionsTable.Heading = _CollectionsTableHeading["default"];
CollectionsTable.Row = _CollectionsTableRow["default"];
CollectionsTable.Cell = _CollectionsTableCell["default"];
CollectionsTable.CellContent = _CollectionsTableCellContent["default"];
var _default = exports["default"] = CollectionsTable;
//# sourceMappingURL=index.js.map