import React from "react";
import { CommentBody } from "./CommentBody";
import { CommentMeta } from "./CommentMeta";
import { CommentReplyCount } from "./CommentReplyCount";
import { CommentFailed } from "./CommentFailed";
import { CommentForm } from "./CommentForm";
import { CommentSubscribeToggle } from "./CommentSubscribeToggle";
import { CommentResolveButton } from "./CommentResolveButton";
import { CommentHeader } from "./CommentHeader";
import { CommentActions } from "./CommentActions";
import { CommentText } from "./CommentText";
import { CommentProvider } from "./CommentProvider";
import { CommentDeleteConfirmation } from "./CommentDeleteConfirmation";
declare function Comment({ children, className, ...rest }: any): import("react/jsx-runtime").JSX.Element;
declare namespace Comment {
    var defaultProps: {
        className: string;
    };
    var Provider: typeof CommentProvider;
    var Context: React.Context<{}>;
    var Header: typeof CommentHeader;
    var Body: typeof CommentBody;
    var Text: typeof CommentText;
    var Meta: typeof CommentMeta;
    var Actions: typeof CommentActions;
    var DeleteConfirmation: typeof CommentDeleteConfirmation;
    var ReplyCount: typeof CommentReplyCount;
    var Failed: typeof CommentFailed;
    var Form: typeof CommentForm;
    var SubscribeToggle: typeof CommentSubscribeToggle;
    var ResolveButton: typeof CommentResolveButton;
}
export { Comment };
//# sourceMappingURL=Comment.d.ts.map