"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CommentActions = CommentActions;
var _react = _interopRequireWildcard(require("react"));
var _ = require("./..");
var _Dropdown = _interopRequireDefault(require("../Dropdown"));
var _DropdownActionGroup = _interopRequireDefault(require("../Dropdown/DropdownActionGroup"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function CommentActions(_ref) {
  var onEditClick = _ref.onEditClick,
    onRemoveClick = _ref.onRemoveClick,
    className = _ref.className;
  var _useContext = (0, _react.useContext)(_.Comment.Context),
    setIsEditing = _useContext.setIsEditing,
    setIsDeleting = _useContext.setIsDeleting,
    isOpen = _useContext.isOpen;
  var metaClass = "pr-12";
  return isOpen ? /*#__PURE__*/_react["default"].createElement("div", {
    className: className
  }, /*#__PURE__*/_react["default"].createElement(_Dropdown["default"], {
    id: "comment-actions"
  }, function (_ref2) {
    var showContent = _ref2.showContent;
    return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].Trigger, null, function (_ref3) {
      var toggleShowContent = _ref3.toggleShowContent;
      return /*#__PURE__*/_react["default"].createElement(_.ButtonIcon, {
        name: "menuDotted",
        active: showContent,
        size: _.ButtonIcon.sizes.sm,
        onClick: toggleShowContent,
        title: "Edit or delete this comment"
      });
    }), /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].Content, {
      collapse: true,
      right: true
    }, /*#__PURE__*/_react["default"].createElement(_DropdownActionGroup["default"], null, /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].Action, {
      className: metaClass,
      action: function action() {
        onEditClick();
        setIsEditing(true);
      }
    }, "Edit..."), /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].Action, {
      className: metaClass,
      action: function action() {
        onRemoveClick();
        setIsDeleting(true);
      },
      danger: true
    }, "Delete"))));
  })) : null;
}
CommentActions.defaultProps = {
  onEditClick: function onEditClick() {},
  onRemoveClick: function onRemoveClick() {}
};
//# sourceMappingURL=CommentActions.js.map