"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CommentDeleteConfirmation = CommentDeleteConfirmation;
var _react = _interopRequireWildcard(require("react"));
var _ = require("./..");
var _ConfirmationOverlay = _interopRequireDefault(require("../ConfirmationOverlay"));
var _BoundaryClickWatcher = _interopRequireDefault(require("../BoundaryClickWatcher"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function CommentDeleteConfirmation(_ref) {
  var onConfirm = _ref.onConfirm,
    confirmButtonText = _ref.confirmButtonText,
    failureText = _ref.failureText,
    onCancel = _ref.onCancel;
  var _useContext = (0, _react.useContext)(_.Comment.Context),
    isDeleting = _useContext.isDeleting,
    setIsDeleting = _useContext.setIsDeleting;
  var closeAndCancel = function closeAndCancel() {
    setIsDeleting(false);
    onCancel();
  };
  return isDeleting ? /*#__PURE__*/_react["default"].createElement(_BoundaryClickWatcher["default"], {
    outsideClickHandler: closeAndCancel
  }, /*#__PURE__*/_react["default"].createElement(_ConfirmationOverlay["default"], {
    className: "gui-comment-delete-confirmation",
    show: isDeleting,
    cancel: closeAndCancel,
    confirm: onConfirm,
    confirmationText: confirmButtonText,
    failureText: failureText
  })) : null;
}
CommentDeleteConfirmation.defaultProps = {
  confirmButtonText: "Delete",
  onCancel: function onCancel() {},
  failureText: ""
};
//# sourceMappingURL=CommentDeleteConfirmation.js.map