"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.ConfirmationDropdown = void 0;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _Dropdown = _interopRequireDefault(require("../Dropdown"));
var _ConfirmationDropdownContent = _interopRequireDefault(require("./ConfirmationDropdownContent"));
var _excluded = ["autoPosition"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }
function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
var ConfirmationDropdown = exports.ConfirmationDropdown = /*#__PURE__*/function (_Component) {
  _inherits(ConfirmationDropdown, _Component);
  var _super = _createSuper(ConfirmationDropdown);
  function ConfirmationDropdown() {
    var _this;
    _classCallCheck(this, ConfirmationDropdown);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "state", {
      promiseIsPending: false
    });
    _defineProperty(_assertThisInitialized(_this), "hide", function () {
      // @ts-expect-error TS(2339): Property 'hideOnCompletion' does not exist on type... Remove this comment to see the full error message
      if (_this.props.hideOnCompletion) {
        _this.setState({
          promiseIsPending: false
        });
        // @ts-expect-error TS(2339): Property 'onHide' does not exist on type 'Readonly... Remove this comment to see the full error message
        _this.props.onHide();
      }
    });
    _defineProperty(_assertThisInitialized(_this), "onConfirm", function () {
      if (_this.state.promiseIsPending) {
        return _assertThisInitialized(_this);
      }
      _this.setState({
        promiseIsPending: true
      });
      return _this.props
      // @ts-expect-error TS(2339): Property 'confirmationPromise' does not exist on t... Remove this comment to see the full error message
      .confirmationPromise().then(_this.hide)["catch"](_this.hide);
    });
    return _this;
  }
  _createClass(ConfirmationDropdown, [{
    key: "render",
    value: function render() {
      // @ts-expect-error TS(2339): Property 'className' does not exist on type 'Reado... Remove this comment to see the full error message
      var classNames = (0, _classnames["default"])("gui-confirmation-dropdown ".concat(this.props.className), {
        "gui-is-pending": this.state.promiseIsPending,
        // @ts-expect-error TS(2339): Property 'isDanger' does not exist on type 'Readon... Remove this comment to see the full error message
        "gui-confirmation-dropdown--is-dangerous": this.props.isDanger
      });

      // @ts-expect-error TS(2339): Property 'position' does not exist on type 'Readon... Remove this comment to see the full error message
      var _this$props$position = this.props.position,
        autoPosition = _this$props$position.autoPosition,
        position = _objectWithoutProperties(_this$props$position, _excluded);
      return /*#__PURE__*/_react["default"].createElement(_Dropdown["default"]
      // @ts-expect-error TS(2339): Property 'id' does not exist on type 'Readonly<{}>... Remove this comment to see the full error message
      , {
        id: this.props.id,
        className: classNames,
        persistShow: this.state.promiseIsPending,
        onHide: this.hide,
        autoPosition: autoPosition
      }, /*#__PURE__*/_react["default"].createElement(_ConfirmationDropdownContent["default"], _extends({}, this.props, this.state, position, {
        onConfirm: this.onConfirm
        // @ts-expect-error TS(2339): Property 'onCompletion' does not exist on type 'Re... Remove this comment to see the full error message
        ,
        onCompletion: this.props.onCompletion
      }), this.props.dropdownContent), /*#__PURE__*/_react["default"].createElement(_Dropdown["default"].Trigger, {
        "data-testid": "".concat(this.props.id, "-trigger")
      }, this.props.children));
    }
  }]);
  return ConfirmationDropdown;
}(_react.Component); // @ts-expect-error TS(2339): Property 'defaultProps' does not exist on type 'ty... Remove this comment to see the full error message
ConfirmationDropdown.defaultProps = {
  className: "",
  isDanger: false,
  disabled: false,
  hideOnCompletion: true,
  confirmationText: "Confirm",
  onHide: function onHide() {},
  position: {
    autoPosition: true
  },
  onCancel: function onCancel() {},
  secondaryAction: null,
  onCompletion: function onCompletion() {}
};
var _default = exports["default"] = ConfirmationDropdown;
//# sourceMappingURL=index.js.map