export declare const mockUser: {
    id: number;
    name: string;
    avatar: string;
    initials: string;
    display: string;
};
export declare const mockUserNoAvatar: {
    id: number;
    name: string;
    initials: string;
    display: string;
};
export declare const mockUserPending: {
    id: number;
    name: string;
    initials: string;
    display: string;
    email: string;
    pending: string;
};
export declare const mockUsers: ({
    id: number;
    name: string;
    initials: string;
    display: string;
} | {
    id: string;
    display: string;
    name: string;
    initials: string;
    email: string;
    url?: undefined;
} | {
    id: string;
    display: string;
    name: string;
    email: string;
    initials: string;
    url: string;
})[];
export declare const mockComments: ({
    id: string;
    body: string;
    createdAt: string;
    author: {
        id: number;
        name: string;
        avatar: string;
        initials: string;
        display: string;
    };
    createdBy: number;
} | {
    id: string;
    body: string;
    createdAt: string;
    author: {
        avatar: string;
        name: string;
        initials: string;
        type: string;
    };
    createdBy: number;
})[];
export declare const mockConversation: {
    id: string;
    comments: ({
        id: string;
        body: string;
        createdAt: string;
        author: {
            id: number;
            name: string;
            avatar: string;
            initials: string;
            display: string;
        };
        createdBy: number;
    } | {
        id: string;
        body: string;
        createdAt: string;
        author: {
            avatar: string;
            name: string;
            initials: string;
            type: string;
        };
        createdBy: number;
    })[];
};
export declare const mockActions: {
    resolveConversation: import("@storybook/addon-actions").HandlerFunction;
    unresolveConversation: import("@storybook/addon-actions").HandlerFunction;
    removeComment: import("@storybook/addon-actions").HandlerFunction;
    addComment: import("@storybook/addon-actions").HandlerFunction;
    editComment: import("@storybook/addon-actions").HandlerFunction;
    onSubscribeChange: import("@storybook/addon-actions").HandlerFunction;
};
//# sourceMappingURL=mockData.d.ts.map