"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _ = _interopRequireDefault(require("../"));
var _react2 = require("@testing-library/react");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
(0, _vitest.describe)("DismissiblePrompt", function () {
  var onDismissSpy = _vitest.vi.fn();
  test("it fires the onDismiss prop when clicking the close button", function () {
    (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], {
      onDismiss: onDismissSpy
    }, "Yo yo"));
    _react2.fireEvent.click(_react2.screen.getByRole("button"));
    (0, _vitest.expect)(onDismissSpy).toHaveBeenCalled();
  });
});
//# sourceMappingURL=DismissiblePrompt.spec.js.map