"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DismissiblePrompt = DismissiblePrompt;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _ = _interopRequireDefault(require(".."));
var _StoryItem = _interopRequireDefault(require("../../../stories/styleguide/StoryItem"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var _default = exports["default"] = {
  title: 'Legacy/Dismissible Prompt',
  component: _["default"],
  argTypes: {
    onDismiss: {
      action: 'prompt dismissed!'
    }
  }
};
function DismissiblePrompt(args) {
  return /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "DismissiblePromptComponent",
    description: "A small prompt that can be dissmissed"
  }, /*#__PURE__*/_react["default"].createElement(_["default"], args, "hello there!")));
}
DismissiblePrompt.parameters = {
  controls: {
    hideNoControlsWarning: true
  }
};
//# sourceMappingURL=DismissiblePrompt.stories.js.map