"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FolderDndMock = FolderDndMock;
var _react = _interopRequireDefault(require("react"));
var _FolderRow = require("../../FolderRow");
var _Draggable = require("../Draggable");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function FolderDndMock(_ref) {
  var name = _ref.name;
  var preview = /*#__PURE__*/_react["default"].createElement(_FolderRow.FolderRow, {
    style: {
      maxWidth: "300px"
    }
  }, function () {
    return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_FolderRow.FolderRow.Inner, {
      style: {
        minWidth: "320px"
      }
    }, /*#__PURE__*/_react["default"].createElement("div", {
      className: "gui-folder-row__backdrop"
    }), /*#__PURE__*/_react["default"].createElement(_FolderRow.FolderRow.Name, null, name)));
  });
  return /*#__PURE__*/_react["default"].createElement(_Draggable.Draggable, {
    item: {
      type: "folder"
    },
    preview: preview
  }, function (_ref2, dragRef) {
    var isDragging = _ref2.isDragging;
    return /*#__PURE__*/_react["default"].createElement("div", {
      ref: dragRef
    }, /*#__PURE__*/_react["default"].createElement(_FolderRow.FolderRow, {
      style: {
        opacity: isDragging ? ".5" : "1"
      }
    }, function () {
      return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_FolderRow.FolderRow.Inner, {
        style: {
          minWidth: "320px"
        }
      }, /*#__PURE__*/_react["default"].createElement("div", {
        className: "gui-folder-row__backdrop"
      }), /*#__PURE__*/_react["default"].createElement(_FolderRow.FolderRow.Name, null, name)));
    }));
  });
}
//# sourceMappingURL=FolderDndMock.js.map