"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ItemDndMock = ItemDndMock;
var _react = _interopRequireDefault(require("react"));
var _ItemRow = require("../../ItemRow");
var _Draggable = require("../Draggable");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function ItemDndMock(_ref) {
  var children = _ref.children;
  var preview = /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      maxWidth: "300px"
    }
  }, /*#__PURE__*/_react["default"].createElement(_ItemRow.ItemRow, {
    bordered: true
  }, children));
  return /*#__PURE__*/_react["default"].createElement(_Draggable.Draggable, {
    item: {
      type: "item"
    },
    preview: preview
  }, function (_ref2, dragRef) {
    var isDragging = _ref2.isDragging;
    return /*#__PURE__*/_react["default"].createElement("div", {
      ref: dragRef
    }, /*#__PURE__*/_react["default"].createElement(_ItemRow.ItemRow, {
      bordered: true,
      style: {
        opacity: isDragging ? ".5" : "1"
      },
      className: "gui-h-margin-top-half"
    }, children));
  });
}
//# sourceMappingURL=ItemDndMock.js.map