import React, { HTMLAttributes } from "react";
interface Props extends HTMLAttributes<HTMLButtonElement> {
    action: (e: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
    actionKeyDown?: (e: React.KeyboardEvent<HTMLButtonElement>) => void;
    danger?: boolean;
    noBackground?: boolean;
    iconOnly?: boolean;
    selected?: boolean;
    hideAfterPerformingAction?: boolean;
    isSubmit?: boolean;
    overflow?: boolean;
    disabled?: boolean;
    toggleShowContent?: () => {};
    showContent?: boolean;
    value?: string;
}
declare function DropdownAction({ children, action, actionKeyDown, danger, className, noBackground, iconOnly, isSubmit, hideAfterPerformingAction, selected, overflow, disabled, value, showContent: showContentProp, toggleShowContent: toggleShowContentProp, ...props }: Props): import("react/jsx-runtime").JSX.Element;
declare namespace DropdownAction {
    var defaultProps: {
        danger: boolean;
        noBackground: boolean;
        selected: boolean;
        iconOnly: boolean;
        className: string;
        isSubmit: boolean;
        overflow: boolean;
        hideAfterPerformingAction: boolean;
        disabled: boolean;
        toggleShowContent: () => void;
        showContent: boolean;
        value: null;
    };
}
export default DropdownAction;
//# sourceMappingURL=DropdownAction.d.ts.map