"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _excluded = ["children", "borderTop", "borderBottom"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function DropdownInfo(_ref) {
  var children = _ref.children,
    _ref$borderTop = _ref.borderTop,
    borderTop = _ref$borderTop === void 0 ? false : _ref$borderTop,
    _ref$borderBottom = _ref.borderBottom,
    borderBottom = _ref$borderBottom === void 0 ? true : _ref$borderBottom,
    rest = _objectWithoutProperties(_ref, _excluded);
  var classNames = (0, _classnames["default"])("gui-dropdown__section p-4 text-sm border-solid border-neutral-90 bg-neutral-98 border-l-0 border-r-0 rounded-tl rounded-tr", {
    "border-t": borderTop,
    "border-b": borderBottom,
    "border-t-0": !borderTop,
    "border-b-0": !borderBottom
  });
  return /*#__PURE__*/_react["default"].createElement("div", _extends({
    className: classNames
  }, rest), children);
}
var _default = exports["default"] = DropdownInfo;
//# sourceMappingURL=DropdownInfo.js.map