import React, { Dispatch, SetStateAction } from "react";
import { DropdownProps } from "./.types/DropdownTypes";
type boundsType = {
    top: number;
    left: number;
    bottom: number;
    right: number;
    width: number;
    height: number;
};
interface Context {
    showContent?: boolean;
    toggleShowContent: (elBounds: boundsType | null) => void;
    setShowContent?: Dispatch<SetStateAction<boolean>>;
    autoPosition?: boolean;
    bounds?: boundsType;
}
export declare const DropdownContext: React.Context<Context>;
declare function DropdownProvider({ id, onToggle, persistShow, children, onHide, autoPosition, block, className, }: DropdownProps): import("react/jsx-runtime").JSX.Element;
export default DropdownProvider;
//# sourceMappingURL=DropdownProvider.d.ts.map