import React, { HTMLAttributes } from "react";
interface RenderProps {
    toggleShowContent: (e: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
}
interface Props extends Omit<HTMLAttributes<HTMLButtonElement>, "onClick" | "children"> {
    useButton?: boolean;
    useSelect?: boolean;
    direction?: "top" | "bottom" | "left" | "right";
    triggerClassName?: string;
    types?: string[];
    blueOnActive?: boolean;
    useHover?: boolean;
    onClick: (arg: boolean, arg2: React.MouseEvent<HTMLButtonElement, MouseEvent>) => {};
    children: React.ReactNode | JSX.Element | ((renderProps: RenderProps) => React.ReactNode | JSX.Element);
}
export declare function DropdownTrigger({ onClick, children, triggerClassName, useButton, useSelect, direction, types, blueOnActive, useHover, ...rest }: Props): import("react/jsx-runtime").JSX.Element;
export declare namespace DropdownTrigger {
    var defaultProps: {
        useButton: boolean;
        useSelect: boolean;
        direction: string;
        triggerClassName: string;
        onClick: () => void;
        types: never[];
        blueOnActive: boolean;
        useHover: boolean;
    };
}
export default DropdownTrigger;
//# sourceMappingURL=DropdownTrigger.d.ts.map