import DropdownAction from "./DropdownAction";
import DropdownActionGroup from "./DropdownActionGroup";
import { DropdownContent } from "./DropdownContent";
import DropdownSection from "./DropdownSection";
import DropdownTrigger from "./DropdownTrigger";
import DropdownHeader from "./DropdownHeader";
import DropdownFooter from "./DropdownFooter";
import DropdownInfo from "./DropdownInfo";
import { DropdownProps } from "./.types/DropdownTypes";
export declare function Dropdown(props: DropdownProps): import("react/jsx-runtime").JSX.Element;
export declare namespace Dropdown {
    var defaultProps: {
        onToggle: () => void;
        onHide: () => void;
        className: string;
        autoPosition: boolean;
        block: boolean;
        persistShow: boolean;
    };
    var Action: typeof DropdownAction;
    var ActionGroup: typeof DropdownActionGroup;
    var Content: typeof DropdownContent;
    var Header: typeof DropdownHeader;
    var Footer: typeof DropdownFooter;
    var Section: typeof DropdownSection;
    var Info: typeof DropdownInfo;
    var Trigger: typeof DropdownTrigger;
}
export default Dropdown;
//# sourceMappingURL=index.d.ts.map