"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DueDateLabel = DueDateLabel;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _Icon = _interopRequireDefault(require("../Icon"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function DueDateLabel(_ref) {
  var overdue = _ref.overdue,
    children = _ref.children;
  if (!children) {
    return /*#__PURE__*/_react["default"].createElement("span", {
      className: "gui-duedate__label gui-duedate__label--button"
    }, "No due date set");
  }
  var classNames = (0, _classnames["default"])("gui-duedate__label", {
    "gui-color-overdue": overdue
  });
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: classNames
  }, overdue && /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
    name: "warning"
  }), /*#__PURE__*/_react["default"].createElement("span", null, "Due ", /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-duedate__label--button"
  }, children)));
}
DueDateLabel.defaultProps = {
  children: null,
  overdue: false
};
var _default = exports["default"] = DueDateLabel;
//# sourceMappingURL=DueDateLabel.js.map