"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FinderPanelLayout = FinderPanelLayout;
exports["default"] = exports.FinderPanelLayoutContext = void 0;
var _react = _interopRequireDefault(require("react"));
var _FinderPanelLayoutProvider = _interopRequireDefault(require("./FinderPanelLayoutProvider"));
var _FinderPanelLayoutLeft = _interopRequireDefault(require("./FinderPanelLayoutLeft"));
var _FinderPanelLayoutRight = _interopRequireDefault(require("./FinderPanelLayoutRight"));
var _FinderPanelLayoutHeader = _interopRequireDefault(require("./FinderPanelLayoutHeader"));
var _FinderPanelLayoutLeftContent = _interopRequireDefault(require("./FinderPanelLayoutLeftContent"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var FinderPanelLayoutContext = exports.FinderPanelLayoutContext = /*#__PURE__*/_react["default"].createContext({});
function FinderPanelLayout(_ref) {
  var children = _ref.children,
    className = _ref.className,
    fixed = _ref.fixed;
  return /*#__PURE__*/_react["default"].createElement(_FinderPanelLayoutProvider["default"], {
    fixed: fixed
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-finder-panel-layout ".concat(className)
  }, children));
}
FinderPanelLayout.Left = _FinderPanelLayoutLeft["default"];
FinderPanelLayout.Right = _FinderPanelLayoutRight["default"];
FinderPanelLayout.Header = _FinderPanelLayoutHeader["default"];
FinderPanelLayout.LeftContent = _FinderPanelLayoutLeftContent["default"];
FinderPanelLayout.defaultProps = {
  className: "",
  fixed: false
};
var _default = exports["default"] = FinderPanelLayout;
//# sourceMappingURL=index.js.map