"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FolderRowName = FolderRowName;
var _react = _interopRequireDefault(require("react"));
var _Button = _interopRequireDefault(require("../Button"));
var _Icon = _interopRequireDefault(require("../Icon"));
var _excluded = ["children", "showToggle", "show", "setShow", "handleOnClick", "toggleTitle"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function FolderRowName(_ref) {
  var children = _ref.children,
    showToggle = _ref.showToggle,
    show = _ref.show,
    setShow = _ref.setShow,
    handleOnClick = _ref.handleOnClick,
    toggleTitle = _ref.toggleTitle,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement("div", _extends({
    className: "gui-folder-row__name"
  }, rest), showToggle && /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-folder-row__toggle gui-h-margin-clear gui-h-margin-right-half"
  }, /*#__PURE__*/_react["default"].createElement(_Button["default"], {
    types: ["icon-only"],
    onClick: function onClick() {
      setShow(!show);
      handleOnClick();
    },
    title: toggleTitle
  }, /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
    name: "caret"
  }))), /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
    name: show ? "folderOpen" : "folder",
    className: "gui-h-margin-right-half"
  }), /*#__PURE__*/_react["default"].createElement("div", {
    className: "text-overflow-ellipsis gui-h-margin-clear gui-h-width-100"
  }, children));
}
FolderRowName.defaultProps = {
  showToggle: true,
  toggleTitle: "toggle the contents",
  handleOnClick: function handleOnClick() {}
};
//# sourceMappingURL=FolderRowName.js.map