"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FolderRow = FolderRow;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _StoryItem = _interopRequireDefault(require("../../../stories/styleguide/StoryItem"));
var _index = require("../../index");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var actions = /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_index.FolderRow.Action, null, /*#__PURE__*/_react["default"].createElement(_index.TooltipWrapper, {
  id: "new folder",
  tooltipText: "New folder",
  className: "gui-folder-row__action",
  placement: "top"
}, /*#__PURE__*/_react["default"].createElement(_index.Button, {
  types: ["icon-only"],
  onClick: function onClick() {}
}, /*#__PURE__*/_react["default"].createElement(_index.Icon, {
  name: "folderNew"
})))), /*#__PURE__*/_react["default"].createElement(_index.FolderRow.Action, null, /*#__PURE__*/_react["default"].createElement(_index.TooltipWrapper, {
  id: "delete folder",
  tooltipText: "Delete folder",
  className: "gui-folder-row__action",
  placement: "top"
}, /*#__PURE__*/_react["default"].createElement(_index.Button, {
  types: ["icon-only"],
  onClick: function onClick() {}
}, /*#__PURE__*/_react["default"].createElement(_index.Icon, {
  name: "trash"
})))));
var _default = exports["default"] = {
  title: "Legacy/Folder Row",
  component: _index.FolderRow,
  args: {
    open: true,
    draggedOver: false,
    showToggle: true,
    folderName: "Folder name",
    meta: "100 items"
  }
};
function FolderRow(_ref) {
  var open = _ref.open,
    draggedOver = _ref.draggedOver,
    showToggle = _ref.showToggle,
    folderName = _ref.folderName,
    meta = _ref.meta;
  var classNameInner = (0, _classnames["default"])("gui-folder-row__inner", {
    "gui-folder-row__inner-dragged-insert": draggedOver
  });
  var classNameLine = (0, _classnames["default"])("gui-hierarchy-line", {
    "dragged-insert": draggedOver
  });
  return /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "Folder Row"
  }, /*#__PURE__*/_react["default"].createElement(_index.FolderRow, {
    open: open
  }, function () {
    return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_index.FolderRow.Inner, {
      className: classNameInner
    }, /*#__PURE__*/_react["default"].createElement(_index.FolderRow.Name, {
      showToggle: showToggle
    }, /*#__PURE__*/_react["default"].createElement("p", {
      className: "gui-h-margin-clear"
    }, folderName)), /*#__PURE__*/_react["default"].createElement(_index.FolderRow.Aside, null, /*#__PURE__*/_react["default"].createElement(_index.FolderRow.Cell, null, actions), /*#__PURE__*/_react["default"].createElement(_index.FolderRow.Cell, {
      meta: true
    }, meta))), /*#__PURE__*/_react["default"].createElement(_index.FolderRow.Contents, {
      style: {
        position: "relative",
        height: "150px"
      }
    }, /*#__PURE__*/_react["default"].createElement("span", {
      className: classNameLine,
      style: {
        top: "0",
        left: "20px",
        height: "100px"
      }
    })));
  }));
}
//# sourceMappingURL=FolderRow.stories.js.map