import React from "react";
interface Props extends React.InputHTMLAttributes<HTMLInputElement> {
    focusOnMount?: boolean;
    onInputChange?: (value: string) => void;
    noBorder?: boolean;
    paddingSmall?: boolean;
    fullWidth?: boolean;
    hasError?: boolean;
    errorMessage?: string;
    collapse?: boolean;
}
export declare function FormInput({ type, focusOnMount, value, placeholder, className, onInputChange, noBorder, paddingSmall, fullWidth, hasError, errorMessage, disabled, collapse, ...rest }: Props): import("react/jsx-runtime").JSX.Element;
export default FormInput;
//# sourceMappingURL=FormInput.d.ts.map