"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function Input(_ref) {
  var onChangeHandler = _ref.onChangeHandler,
    className = _ref.className,
    label = _ref.label,
    id = _ref.id,
    checked = _ref.checked,
    name = _ref.name,
    value = _ref.value,
    disabled = _ref.disabled;
  return /*#__PURE__*/_react["default"].createElement("input", {
    className: "gui-form-radio__input ".concat(className),
    type: "radio",
    onChange: onChangeHandler,
    "aria-label": label,
    id: id,
    name: name,
    value: value,
    disabled: disabled,
    checked: checked !== null && checked !== void 0 ? checked : false
  });
}
Input.defaultProps = {
  className: "",
  value: "",
  label: "",
  disabled: false,
  checked: undefined
};
var _default = exports["default"] = Input;
//# sourceMappingURL=Input.js.map