import { HTMLAttributes } from "react";
import { ItemRowName } from "./ItemRowName";
import { ItemRowAside } from "./ItemRowAside";
import { ItemRowData } from "./ItemRowData";
interface Props extends HTMLAttributes<HTMLDivElement> {
    stacked?: boolean;
    bordered?: boolean;
    list?: boolean;
}
declare function ItemRow({ children, stacked, className, bordered, list, ...rest }: Props): import("react/jsx-runtime").JSX.Element;
declare namespace ItemRow {
    var defaultProps: {
        stacked: boolean;
        bordered: boolean;
        className: string;
    };
    var Name: typeof ItemRowName;
    var Aside: typeof ItemRowAside;
    var Data: typeof ItemRowData;
}
export { ItemRow };
//# sourceMappingURL=index.d.ts.map