"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LogoGC = LogoGC;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
var logoGCSVG = function logoGCSVG(props) {
  return /*#__PURE__*/_react["default"].createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: "37",
    height: "37",
    viewBox: "0 0 37 37"
  }, props), /*#__PURE__*/_react["default"].createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, /*#__PURE__*/_react["default"].createElement("rect", {
    width: "37",
    height: "37",
    fill: "#3D8AEB",
    rx: "5"
  }), /*#__PURE__*/_react["default"].createElement("g", {
    fill: "#FFF",
    fillRule: "nonzero"
  }, /*#__PURE__*/_react["default"].createElement("path", {
    d: "M24.74 9.29a1.84 1.84 0 0 1 1.847 1.838c0 .59-.084 10.132.854 16.36-5.373-.736-14.327-.787-16.346-.787h-.144a1.84 1.84 0 0 1-1.848-1.84V11.128a1.84 1.84 0 0 1 1.848-1.84l13.788.002zm0-2.093H10.95A3.932 3.932 0 0 0 7 11.128v13.73a3.932 3.932 0 0 0 3.951 3.931h.142c1.506 0 14.044.028 18.282 1.18.027 0 .084.027.114.027a.446.446 0 0 0 .426-.566c-1.366-5.59-1.254-18.302-1.254-18.302a3.892 3.892 0 0 0-3.931-3.931h.01z"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    d: "M11.606 13.424h7.505v2.094h-7.505zM11.606 16.961h12.508v2.094H11.606zM11.606 20.527h10.006v2.094H11.606z"
  }))));
};
/**
 * @usage
 *
 * <Logo url="http://example.com/myimage.png" alt="Alt Tag" />
 */
function LogoGC(props) {
  var LogoPath = props.url || logoGCSVG;
  var image = typeof LogoPath === "string" ? /*#__PURE__*/_react["default"].createElement("img", {
    src: props.url,
    alt: props.alt,
    className: "gui-logo__image"
  }) : /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-logo__image"
  }, /*#__PURE__*/_react["default"].createElement(LogoPath, null));
  return /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-logo"
  }, image);
}
LogoGC.defaultProps = {
  url: "",
  alt: "GatherContent Logo"
};
var _default = exports["default"] = LogoGC;
//# sourceMappingURL=index.js.map