"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ = require("./..");
var _excluded = ["children", "text", "spaceBetween", "className"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function ModalFooter(_ref) {
  var children = _ref.children,
    text = _ref.text,
    spaceBetween = _ref.spaceBetween,
    className = _ref.className,
    props = _objectWithoutProperties(_ref, _excluded);
  var containerClassName = (0, _classnames["default"])(className, "gui-modal-footer", {
    "gui-modal-footer--space-between": spaceBetween
  });
  return /*#__PURE__*/_react["default"].createElement(_.NewModal.Footer, _extends({
    className: containerClassName
  }, props), text && /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-modal__footer-text"
  }, text), children);
}
ModalFooter.defaultProps = {
  text: null,
  spaceBetween: false,
  className: ""
};
var _default = exports["default"] = ModalFooter;
//# sourceMappingURL=ModalFooter.js.map