"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ModalHeaderNavigation = ModalHeaderNavigation;
var _react = _interopRequireWildcard(require("react"));
var _ = require("./..");
var _Navigation = _interopRequireDefault(require("../Navigation"));
var _Modal = require("./Modal");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function ModalHeaderNavigation(_ref) {
  var children = _ref.children,
    title = _ref.title;
  var _useContext = (0, _react.useContext)(_Modal.LegacyModalContext),
    onHide = _useContext.onHide;
  return /*#__PURE__*/_react["default"].createElement(_.NewModal.Header, {
    onCloseClick: onHide,
    className: "gui-modal-header gui-modal-header-with-nav"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "flex items-center h-16 pl-5 text-lg"
  }, /*#__PURE__*/_react["default"].createElement("h4", {
    className: "gui-modal-title"
  }, title)), /*#__PURE__*/_react["default"].createElement(_Navigation["default"], {
    className: "flex justify-center flex-row w-full absolute border-b-0",
    tabs: true
  }, children));
}
//# sourceMappingURL=ModalHeaderNavigation.js.map