"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Modal = void 0;
var _Modal = _interopRequireDefault(require("./Modal"));
var _ModalColumn = _interopRequireDefault(require("./ModalColumn"));
var _ModalHeader = _interopRequireDefault(require("./ModalHeader"));
var _ModalImageHeader = require("./ModalImageHeader");
var _ModalFooter = _interopRequireDefault(require("./ModalFooter"));
var _ModalBody = _interopRequireDefault(require("./ModalBody"));
var _ModalHeaderNavigation = require("./ModalHeaderNavigation");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var Modal = exports.Modal = {
  Container: _Modal["default"],
  Body: _ModalBody["default"],
  Header: _ModalHeader["default"],
  ImageHeader: _ModalImageHeader.ImageHeader,
  Column: _ModalColumn["default"],
  Footer: _ModalFooter["default"],
  HeaderWithNavigation: _ModalHeaderNavigation.ModalHeaderNavigation
};
var _default = exports["default"] = Modal;
//# sourceMappingURL=index.js.map