"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NotificationBlip = NotificationBlip;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function NotificationBlip(_ref) {
  var children = _ref.children,
    visible = _ref.visible,
    className = _ref.className;
  var classes = (0, _classnames["default"])('gui-notification-blip', visible ? 'after:opacity-1' : 'after:opacity-0', className);
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: classes
  }, children);
}
//# sourceMappingURL=NotificationBlip.js.map