"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InlineNotifications = InlineNotifications;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _inline = _interopRequireDefault(require("../inline"));
var _StoryItem = _interopRequireDefault(require("../../../stories/styleguide/StoryItem"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
// @ts-expect-error TS(2307): Cannot find module 'lib/Notification/inline' or it... Remove this comment to see the full error message
// @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: 'Legacy/Notifications/Inline Notifications',
  component: _inline["default"]
};
function InlineNotifications() {
  return /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "NotificationInline Warning",
    description: "A notification box with the warning level."
  }, /*#__PURE__*/_react["default"].createElement(_inline["default"], {
    level: "warning"
  }, "Warning, I am too sexy for this notification.")), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "NotificationInline Danger",
    description: "A notification box with the danger level."
  }, /*#__PURE__*/_react["default"].createElement(_inline["default"], {
    level: "danger"
  }, "You're about to delete your whole life.")), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "NotificationInline Information",
    description: "A notification box with the information level."
  }, /*#__PURE__*/_react["default"].createElement(_inline["default"], {
    level: "information",
    showShadow: false
  }, "Did you know ", /*#__PURE__*/_react["default"].createElement("strong", null, "Nirvana"), " started in ", /*#__PURE__*/_react["default"].createElement("u", null, "Aberdeen"), "?")), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "NotificationInline Success",
    description: "A notification box with the success level."
  }, /*#__PURE__*/_react["default"].createElement(_inline["default"], {
    level: "success"
  }, "You did it! Great job!")));
}
InlineNotifications.parameters = {
  controls: {
    hideNoControlsWarning: true
  }
};
//# sourceMappingURL=NotificationInline.stories.js.map