"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _Button = _interopRequireDefault(require("../Button"));
var _Icon = _interopRequireDefault(require("../Icon"));
var _ShortcutTrigger = _interopRequireDefault(require("../ShortcutTrigger"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }
function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
var SearchInput = /*#__PURE__*/function (_Component) {
  _inherits(SearchInput, _Component);
  var _super = _createSuper(SearchInput);
  function SearchInput() {
    var _this;
    _classCallCheck(this, SearchInput);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "handleKeyPress", void 0);
    _defineProperty(_assertThisInitialized(_this), "textinput", void 0);
    _defineProperty(_assertThisInitialized(_this), "state", {
      inputValue: "",
      isFocussed: false
    });
    _defineProperty(_assertThisInitialized(_this), "handleChange", function (event) {
      _this.setState({
        inputValue: event.target.value
      });
      // @ts-expect-error TS(2339): Property 'onChange' does not exist on type 'Readon... Remove this comment to see the full error message
      _this.props.onChange(event.target.value);
      if (event.target.value.trim() === "") {
        // @ts-expect-error TS(2339): Property 'hideBody' does not exist on type 'Readon... Remove this comment to see the full error message
        return _this.props.hideBody();
      }
      // @ts-expect-error TS(2339): Property 'displayBody' does not exist on type 'Rea... Remove this comment to see the full error message
      return _this.props.displayBody();
    });
    _defineProperty(_assertThisInitialized(_this), "clearInput", function () {
      _this.handleChange({
        target: {
          value: ""
        }
      });
      _this.handleSearchClick();
    });
    _defineProperty(_assertThisInitialized(_this), "handleFocus", function () {
      return _this.setState({
        isFocussed: true
      }, function () {
        // @ts-expect-error TS(2339): Property 'showBody' does not exist on type 'Readon... Remove this comment to see the full error message
        if (_this.state.inputValue !== "" && !_this.props.showBody) {
          // @ts-expect-error TS(2339): Property 'displayBody' does not exist on type 'Rea... Remove this comment to see the full error message
          _this.props.displayBody();
        }
      });
    });
    _defineProperty(_assertThisInitialized(_this), "handleSearchClick", function () {
      _this.setState({
        isFocussed: true
      }, function () {
        return _this.textinput.focus();
      });
    });
    _defineProperty(_assertThisInitialized(_this), "handleEscape", function () {
      // @ts-expect-error TS(2339): Property 'hideBody' does not exist on type 'Readon... Remove this comment to see the full error message
      _this.props.hideBody();
      _this.setState({
        isFocussed: false
      });
    });
    return _this;
  }
  _createClass(SearchInput, [{
    key: "render",
    value: function render() {
      var _this2 = this;
      // @ts-expect-error TS(2339): Property 'className' does not exist on type 'Reado... Remove this comment to see the full error message
      var classNames = (0, _classnames["default"])("gui-search__input ".concat(this.props.className), {
        // @ts-expect-error TS(2339): Property 'showBody' does not exist on type 'Readon... Remove this comment to see the full error message
        "gui-is-focus": this.props.showBody || this.state.isFocussed
      });
      return /*#__PURE__*/_react["default"].createElement("div", {
        className: classNames
      }, /*#__PURE__*/_react["default"].createElement(_ShortcutTrigger["default"], {
        shortcutKey: "Escape",
        onShortcutTrigger: this.handleEscape
      }), /*#__PURE__*/_react["default"].createElement("label", {
        className: "sr-only",
        htmlFor: "search-input"
      }, "Search"), /*#__PURE__*/_react["default"].createElement("input", {
        id: "search-input",
        className: "gui-search__input--input",
        onChange: this.handleChange,
        value: this.state.inputValue,
        onFocus: this.handleFocus,
        onBlur: function onBlur() {
          return _this2.setState({
            isFocussed: false
          });
        },
        ref: function ref(textinput) {
          _this2.textinput = textinput;
        },
        onKeyPress: this.handleKeyPress
      }), /*#__PURE__*/_react["default"].createElement(_Button["default"], {
        className: "gui-search__input--clear",
        types: ["icon-only"],
        clickHandler: this.clearInput,
        title: this.state.inputValue ? "Clear search" : "Close search"
      }, /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
        name: "cancel"
      })), /*#__PURE__*/_react["default"].createElement(_Button["default"], {
        className: "gui-search__input--start",
        types: ["icon-only"],
        clickHandler: this.handleSearchClick,
        title: "Open search"
      }, /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
        name: "search"
      })));
    }
  }]);
  return SearchInput;
}(_react.Component); // @ts-expect-error TS(2339): Property 'defaultProps' does not exist on type 'ty... Remove this comment to see the full error message
SearchInput.defaultProps = {
  className: "",
  showBody: false
};
var _default = exports["default"] = SearchInput;
//# sourceMappingURL=SearchInput.js.map