"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _EventCodeWatcher = _interopRequireDefault(require("../EventCodeWatcher"));
var _Avatar = _interopRequireDefault(require("../Avatar"));
var _AvatarInformation = _interopRequireDefault(require("../Avatar/AvatarInformation"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }
function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
var SearchResults = /*#__PURE__*/function (_Component) {
  _inherits(SearchResults, _Component);
  var _super = _createSuper(SearchResults);
  function SearchResults() {
    var _this;
    _classCallCheck(this, SearchResults);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "state", {
      highlightedIndex: 0
    });
    _defineProperty(_assertThisInitialized(_this), "highlightPrevResult", function () {
      var atStartOfResults = _this.state.highlightedIndex === 0;
      _this.setState(function (prevState) {
        return {
          highlightedIndex: atStartOfResults ?
          // @ts-expect-error TS(2339): Property 'results' does not exist on type 'Readonl... Remove this comment to see the full error message
          _this.props.results.length - 1 :
          // @ts-expect-error TS(2339): Property 'highlightedIndex' does not exist on type... Remove this comment to see the full error message
          prevState.highlightedIndex - 1
        };
      });
    });
    _defineProperty(_assertThisInitialized(_this), "highlightNextResult", function () {
      var atEndOfResults =
      // @ts-expect-error TS(2339): Property 'results' does not exist on type 'Readonl... Remove this comment to see the full error message
      _this.state.highlightedIndex === _this.props.results.length - 1;
      _this.setState(function (prevState) {
        return {
          // @ts-expect-error TS(2339): Property 'highlightedIndex' does not exist on type... Remove this comment to see the full error message
          highlightedIndex: atEndOfResults ? 0 : prevState.highlightedIndex + 1
        };
      });
    });
    _defineProperty(_assertThisInitialized(_this), "highlightSpecificResult", function (index) {
      return _this.setState({
        highlightedIndex: index
      });
    });
    _defineProperty(_assertThisInitialized(_this), "triggerHighlightedResultAction", function () {
      // @ts-expect-error TS(2339): Property 'results' does not exist on type 'Readonl... Remove this comment to see the full error message
      if (_this.props.results[_this.state.highlightedIndex].action) {
        // @ts-expect-error TS(2339): Property 'results' does not exist on type 'Readonl... Remove this comment to see the full error message
        _this.props.results[_this.state.highlightedIndex].action();
      }
    });
    return _this;
  }
  _createClass(SearchResults, [{
    key: "render",
    value: function render() {
      var _this2 = this;
      // @ts-expect-error TS(2339): Property 'input' does not exist on type 'Readonly<... Remove this comment to see the full error message
      if (!this.props.input) {
        return null;
      }
      var upKey = 38;
      var downKey = 40;
      var enterKey = 13;
      var escKey = 27;
      return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_EventCodeWatcher["default"]
      // @ts-expect-error TS(2339): Property 'input' does not exist on type 'Readonly<... Remove this comment to see the full error message
      , {
        element: this.props.input,
        keyCode: downKey,
        eventName: "keydown",
        onKeyCodePress: this.highlightNextResult,
        preventDefault: true
      }), /*#__PURE__*/_react["default"].createElement(_EventCodeWatcher["default"]
      // @ts-expect-error TS(2339): Property 'input' does not exist on type 'Readonly<... Remove this comment to see the full error message
      , {
        element: this.props.input,
        keyCode: upKey,
        eventName: "keydown",
        onKeyCodePress: this.highlightPrevResult,
        preventDefault: true
      }), /*#__PURE__*/_react["default"].createElement(_EventCodeWatcher["default"]
      // @ts-expect-error TS(2339): Property 'input' does not exist on type 'Readonly<... Remove this comment to see the full error message
      , {
        element: this.props.input,
        keyCode: enterKey,
        eventName: "keypress",
        onKeyCodePress: this.triggerHighlightedResultAction
      }), /*#__PURE__*/_react["default"].createElement(_EventCodeWatcher["default"]
      // @ts-expect-error TS(2339): Property 'input' does not exist on type 'Readonly<... Remove this comment to see the full error message
      , {
        element: this.props.input,
        keyCode: escKey,
        eventName: "keydown"
        // @ts-expect-error TS(2339): Property 'hideResults' does not exist on type 'Rea... Remove this comment to see the full error message
        ,
        onKeyCodePress: this.props.hideResults
      }), /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, this.props.results.map(function (result, index) {
        var idKey = "search-results-item-".concat(index);
        var className = (0, _classnames["default"])("gui-dropdown__link dropdown__avatar", {
          "gui-dropdown__link--highlighted": _this2.state.highlightedIndex === index
        });
        return /*#__PURE__*/_react["default"].createElement("li", {
          key: idKey,
          className: "gui-dropdown__item gui-dropdown__item--avatar"
        }, /*#__PURE__*/_react["default"].createElement("button", {
          type: "button",
          className: className,
          onClick: result.action,
          onMouseOver: function onMouseOver() {
            return _this2.highlightSpecificResult(index);
          },
          onFocus: function onFocus() {
            return _this2.highlightSpecificResult(index);
          }
        }, /*#__PURE__*/_react["default"].createElement(_Avatar["default"], {
          url: result.avatar,
          initials: result.initials
        }, /*#__PURE__*/_react["default"].createElement(_AvatarInformation["default"], {
          name: result.name,
          email: result.email
        }))));
      })));
    }
  }]);
  return SearchResults;
}(_react.Component);
_defineProperty(SearchResults, "defaultProps", {
  input: null
});
var _default = exports["default"] = SearchResults;
//# sourceMappingURL=SearchResults.js.map