"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SectionFeature = SectionFeature;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function SectionFeature(_ref) {
  var children = _ref.children,
    extendTop = _ref.extendTop,
    enhanceIntro = _ref.enhanceIntro,
    className = _ref.className;
  var classNames = (0, _classnames["default"])("gui-section-feature ".concat(className), {
    "gui-section-feature--extend-top": extendTop,
    "gui-section-feature--enhance-intro": enhanceIntro
  });
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: classNames
  }, children);
}
SectionFeature.defaultProps = {
  extendTop: false,
  enhanceIntro: false,
  className: ""
};
var _default = exports["default"] = SectionFeature;
//# sourceMappingURL=SectionFeature.js.map