import SelectionBarAction from "./SelectionBarAction";
import SelectionBarDivider from "./SelectionBarDivider";
import SelectionBarCancel from "./SelectionBarCancel";
import SelectionBarInformation from "./SelectionBarInformation";
import SelectionBarActions from "./SelectionBarActions";
import SelectionBarCounter from "./SelectionBarCounter";
export declare function SelectionBar({ fixed, autoHide, hasSelected, children, animatableProperties, ...rest }: any): import("react/jsx-runtime").JSX.Element;
export declare namespace SelectionBar {
    var Information: typeof SelectionBarInformation;
    var Cancel: typeof SelectionBarCancel;
    var Action: typeof SelectionBarAction;
    var Actions: typeof SelectionBarActions;
    var Divider: typeof SelectionBarDivider;
    var Counter: typeof SelectionBarCounter;
    var defaultProps: {
        fixed: boolean;
        autoHide: boolean;
        animatableProperties: {};
    };
}
export default SelectionBar;
//# sourceMappingURL=index.d.ts.map