"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _excluded = ["isSelected", "className", "name", "subText", "counter"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function SelectionModalCategory(_ref) {
  var isSelected = _ref.isSelected,
    className = _ref.className,
    name = _ref.name,
    subText = _ref.subText,
    counter = _ref.counter,
    rest = _objectWithoutProperties(_ref, _excluded);
  var buttonClasses = (0, _classnames["default"])("bg-white relative border-solid flex w-full rounded outline-none px-3 py-2 border border-neutral-90 items-center ".concat(className), {
    "text-input-border-focus": isSelected,
    "hover:border-blue-primary": !isSelected
  });
  var nameClasses = (0, _classnames["default"])("m-0 mb-1", {
    "text-neutral-20": !isSelected,
    "text-blue-primary": isSelected
  });
  return /*#__PURE__*/_react["default"].createElement("button", _extends({
    className: buttonClasses,
    type: "button"
  }, rest), /*#__PURE__*/_react["default"].createElement("div", {
    className: "text-left"
  }, /*#__PURE__*/_react["default"].createElement("p", {
    className: nameClasses
  }, name), subText && /*#__PURE__*/_react["default"].createElement("p", {
    className: "text-sm text-neutral-primary m-0"
  }, subText)), counter !== 0 && /*#__PURE__*/_react["default"].createElement("div", {
    className: "text-blue-primary ml-auto"
  }, counter));
}
SelectionModalCategory.defaultProps = {
  isSelected: false,
  className: "",
  subText: "",
  counter: 0
};
var _default = exports["default"] = SelectionModalCategory;
//# sourceMappingURL=SelectionModalCategory.js.map