"use strict";

var _vitest = require("vitest");
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _ = _interopRequireDefault(require(".."));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var classList = ["gui-status-indicator--completed", "gui-status-indicator--collapsed", "gui-status-indicator--bordered", "gui-status-indicator--small", "gui-status-indicator--medium", "gui-status-indicator--soft-label", "gui-status-indicator--read-only", "gui-status-indicator--row"];
(0, _vitest.describe)("StatusIndicator", function () {
  (0, _vitest.it)("adds the modifer classes", function () {
    var _render = (0, _react2.render)( /*#__PURE__*/_react["default"].createElement(_["default"], {
        "data-testid": "status-indicator"
      })),
      rerender = _render.rerender;
    var statusIndicator = _react2.screen.getByTestId("status-indicator");
    classList.map(function (modifierClass) {
      (0, _vitest.expect)(statusIndicator.classList.contains(modifierClass)).toBe(false);
    });
    rerender( /*#__PURE__*/_react["default"].createElement(_["default"], {
      "data-testid": "status-indicator",
      completed: true,
      collapsed: true,
      bordered: true,
      small: true,
      medium: true,
      softLabel: true,
      readOnly: true,
      row: true
    }));
    statusIndicator = _react2.screen.getByTestId("status-indicator");
    classList.map(function (modifierClass) {
      (0, _vitest.expect)(statusIndicator.classList.contains(modifierClass)).toBeTruthy();
    });
  });
});
//# sourceMappingURL=StatusIndicator.spec.js.map