"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TabAside = TabAside;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _Tab = require("./Tab");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function TabAside(_ref) {
  var children = _ref.children;
  var _useContext = (0, _react.useContext)(_Tab.TabContext),
    isActive = _useContext.isActive,
    isEditing = _useContext.isEditing,
    actionsAreActive = _useContext.actionsAreActive;
  var asideClassNames = (0, _classnames["default"])("gui-tab-aside absolute right-0 top-0 bottom-0 flex items-center justify-end pointer-events-none z-10", {
    "bg-blur-white-right": isActive,
    "bg-blur-grey-95-right group-hover:bg-blur-grey-90-right": !isActive,
    "w-10 group-hover:w-16": children && !isActive,
    "w-16 pr-2": children && isActive,
    "w-10": !children,
    "z-20": actionsAreActive
  });
  var innerClassNames = (0, _classnames["default"])("flex items-center pointer-events-auto", {
    "mr-2": children && !isActive,
    "absolute -mt-32": isEditing
  });
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: asideClassNames
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: innerClassNames
  }, children));
}
//# sourceMappingURL=TabAside.js.map