"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TabsScrollShadow = TabsScrollShadow;
var _react = _interopRequireDefault(require("react"));
var _reactSpring = require("react-spring");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function TabsScrollShadow(_ref) {
  var scrollPosition = _ref.scrollPosition;
  var shouldTopShadowBeVisible = scrollPosition === "bottom" || scrollPosition === "middle";
  var shouldBottomShadowBeVisible = scrollPosition === "top" || scrollPosition === "middle";
  var _useSpring = (0, _reactSpring.useSpring)(function () {
      return {
        opacity: shouldTopShadowBeVisible ? 1 : 0
      };
    }),
    _useSpring2 = _slicedToArray(_useSpring, 2),
    propsTop = _useSpring2[0],
    setTop = _useSpring2[1];
  var _useSpring3 = (0, _reactSpring.useSpring)(function () {
      return {
        opacity: shouldBottomShadowBeVisible ? 1 : 0
      };
    }),
    _useSpring4 = _slicedToArray(_useSpring3, 2),
    propsBottom = _useSpring4[0],
    setBottom = _useSpring4[1];
  setTop({
    opacity: shouldTopShadowBeVisible ? 1 : 0
  });
  setBottom({
    opacity: shouldBottomShadowBeVisible ? 1 : 0
  });
  var initialClassName = "absolute w-full h-4 -mr-4 pointer-events-none z-20";
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_reactSpring.animated.span, {
    style: propsTop,
    className: "".concat(initialClassName, " top-0 shadow-top-inset")
  }), /*#__PURE__*/_react["default"].createElement(_reactSpring.animated.span, {
    style: propsBottom,
    className: "".concat(initialClassName, " bottom-0 shadow-bottom-inset")
  }));
}
//# sourceMappingURL=TabsScrollShadow.js.map