"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Toolbar = Toolbar;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _StoryItem = _interopRequireDefault(require("../../../stories/styleguide/StoryItem"));
var _Toolbar = require("../Toolbar");
var _ButtonIcon = require("../../src/modules/Button/ButtonIcon/ButtonIcon");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var _default = exports["default"] = {
  title: 'Legacy/Toolbar',
  component: _Toolbar.Toolbar
};
function Toolbar() {
  return /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "ToolbarComponent",
    description: "The toolbar component"
  }, /*#__PURE__*/_react["default"].createElement(_Toolbar.Toolbar, null, /*#__PURE__*/_react["default"].createElement(_ButtonIcon.ButtonIcon, {
    name: "bold16",
    size: _ButtonIcon.ButtonIcon.sizes.sm
  }), /*#__PURE__*/_react["default"].createElement(_ButtonIcon.ButtonIcon, {
    name: "italic16",
    size: _ButtonIcon.ButtonIcon.sizes.sm
  }), /*#__PURE__*/_react["default"].createElement(_ButtonIcon.ButtonIcon, {
    name: "strikethrough16",
    size: _ButtonIcon.ButtonIcon.sizes.sm
  }), /*#__PURE__*/_react["default"].createElement(_ButtonIcon.ButtonIcon, {
    name: "link16",
    size: _ButtonIcon.ButtonIcon.sizes.sm
  }), /*#__PURE__*/_react["default"].createElement(_Toolbar.Toolbar.Divider, null), /*#__PURE__*/_react["default"].createElement(_ButtonIcon.ButtonIcon, {
    name: "unorderedList16",
    size: _ButtonIcon.ButtonIcon.sizes.sm
  }), /*#__PURE__*/_react["default"].createElement(_ButtonIcon.ButtonIcon, {
    name: "orderedList16",
    size: _ButtonIcon.ButtonIcon.sizes.sm
  }), /*#__PURE__*/_react["default"].createElement(_Toolbar.Toolbar.Divider, null), /*#__PURE__*/_react["default"].createElement(_ButtonIcon.ButtonIcon, {
    name: "indent16",
    size: _ButtonIcon.ButtonIcon.sizes.sm
  }), /*#__PURE__*/_react["default"].createElement(_ButtonIcon.ButtonIcon, {
    name: "outdent16",
    size: _ButtonIcon.ButtonIcon.sizes.sm
  }), /*#__PURE__*/_react["default"].createElement(_Toolbar.Toolbar.Divider, null), /*#__PURE__*/_react["default"].createElement(_ButtonIcon.ButtonIcon, {
    name: "subscript16",
    size: _ButtonIcon.ButtonIcon.sizes.sm
  }), /*#__PURE__*/_react["default"].createElement(_ButtonIcon.ButtonIcon, {
    name: "superscript16",
    size: _ButtonIcon.ButtonIcon.sizes.sm
  }), /*#__PURE__*/_react["default"].createElement(_Toolbar.Toolbar.Divider, null), /*#__PURE__*/_react["default"].createElement(_ButtonIcon.ButtonIcon, {
    name: "table16",
    size: _ButtonIcon.ButtonIcon.sizes.sm
  }), /*#__PURE__*/_react["default"].createElement(_ButtonIcon.ButtonIcon, {
    name: "comment16",
    size: _ButtonIcon.ButtonIcon.sizes.sm
  }), /*#__PURE__*/_react["default"].createElement(_ButtonIcon.ButtonIcon, {
    name: "caption16",
    size: _ButtonIcon.ButtonIcon.sizes.sm
  })));
}
Toolbar.parameters = {
  controls: {
    hideNoControlsWarning: true
  }
};
//# sourceMappingURL=Toolbar.stories.js.map