"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TopBarCell = TopBarCell;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function TopBarCell(props) {
  var classes = (0, _classnames["default"])("gui-top-bar__cell ".concat(props.className), {
    "gui-top-bar__cell--bordered": props.bordered
  });
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: classes
  }, props.children);
}
TopBarCell.defaultProps = {
  bordered: false,
  children: [],
  className: ""
};
var _default = exports["default"] = TopBarCell;
//# sourceMappingURL=TopBarCell.js.map