"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TopBarContent = TopBarContent;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ = require("./..");
var _excluded = ["left", "center", "right", "collapse", "className"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function TopBarContent(_ref) {
  var left = _ref.left,
    center = _ref.center,
    right = _ref.right,
    collapse = _ref.collapse,
    className = _ref.className,
    props = _objectWithoutProperties(_ref, _excluded);
  var classes = (0, _classnames["default"])("gui-top-bar__content ".concat(className), {
    "gui-top-bar__content--left": left,
    "gui-top-bar__content--center": center,
    "gui-top-bar__content--right": right,
    "gui-top-bar__content--collapse": collapse
  });
  return /*#__PURE__*/_react["default"].createElement(_.Col, _extends({
    className: classes
  }, props), props.children);
}
TopBarContent.defaultProps = {
  left: false,
  center: false,
  right: false,
  collapse: false,
  children: [],
  className: ""
};
var _default = exports["default"] = TopBarContent;
//# sourceMappingURL=TopBarContent.js.map