import { HTMLAttributes, ReactNode } from "react";
interface Props extends HTMLAttributes<HTMLDivElement> {
    fixed?: boolean;
    scrollToFixed?: boolean;
    useDarkTheme?: boolean;
    notification?: ReactNode | JSX.Element;
    shadow?: boolean;
    useLightGreyTheme?: boolean;
}
export declare function TopBar({ className, children, fixed, scrollToFixed, useDarkTheme, notification, shadow, useLightGreyTheme, }: Props): import("react/jsx-runtime").JSX.Element;
export declare namespace TopBar {
    var defaultProps: {
        fixed: boolean;
        scrollToFixed: boolean;
        useDarkTheme: boolean;
        notification: null;
        shadow: boolean;
        useLightGreyTheme: boolean;
    };
}
export default TopBar;
//# sourceMappingURL=index.d.ts.map