"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextHighlighter = TextHighlighter;
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function TextHighlighter(_ref) {
  var text = _ref.text,
    highlight = _ref.highlight;
  var indexOfHighlightedText = text.toLowerCase().search(highlight.toLowerCase());
  if (indexOfHighlightedText < 0) {
    return text;
  }
  return /*#__PURE__*/_react["default"].createElement("span", null, text.slice(0, indexOfHighlightedText), /*#__PURE__*/_react["default"].createElement("b", null, text.slice(indexOfHighlightedText, indexOfHighlightedText + highlight.length)), text.slice(indexOfHighlightedText + highlight.length, text.length));
}
//# sourceMappingURL=TextHighlighter.js.map