"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.ImageLoader = void 0;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _Icon = _interopRequireDefault(require("../../Icon"));
var _excluded = ["alt", "src", "loadTransition", "preLoadedStyles"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }
function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
var ImageLoader = exports.ImageLoader = /*#__PURE__*/function (_PureComponent) {
  _inherits(ImageLoader, _PureComponent);
  var _super = _createSuper(ImageLoader);
  function ImageLoader() {
    var _this;
    _classCallCheck(this, ImageLoader);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "image", void 0);
    _defineProperty(_assertThisInitialized(_this), "state", {
      imageHasLoaded: false,
      showImage: false,
      imageHasErrored: false
    });
    _defineProperty(_assertThisInitialized(_this), "showImage", function () {
      return setTimeout(function () {
        return _this.setState({
          showImage: true
        });
      }, 200);
    });
    _defineProperty(_assertThisInitialized(_this), "handleOnLoad", function () {
      // @ts-expect-error TS(2339): Property 'onLoad' does not exist on type 'Readonly... Remove this comment to see the full error message
      _this.props.onLoad();
      _this.setState({
        imageHasLoaded: true
      }, _this.showImage);
    });
    _defineProperty(_assertThisInitialized(_this), "handleOnError", function () {
      // @ts-expect-error TS(2339): Property 'onError' does not exist on type 'Readonl... Remove this comment to see the full error message
      _this.props.onError();
      _this.setState({
        imageHasErrored: true
      });
    });
    return _this;
  }
  _createClass(ImageLoader, [{
    key: "render",
    value: function render() {
      var _this2 = this;
      // @ts-expect-error TS(2339): Property 'alt' does not exist on type 'Readonly<{}... Remove this comment to see the full error message
      var _this$props = this.props,
        alt = _this$props.alt,
        src = _this$props.src,
        loadTransition = _this$props.loadTransition,
        preLoadedStyles = _this$props.preLoadedStyles,
        rest = _objectWithoutProperties(_this$props, _excluded);
      var _this$state = this.state,
        imageHasLoaded = _this$state.imageHasLoaded,
        imageHasErrored = _this$state.imageHasErrored,
        showImage = _this$state.showImage;
      var classNames = (0, _classnames["default"])("gui-image-loader", {
        "gui-image-loader--loaded": imageHasLoaded,
        "gui-image-loader--errored": imageHasErrored,
        "gui-image-loader--show": showImage
      });
      var style;
      var usePreloadDimensionsAsFallback = !imageHasLoaded || imageHasErrored;
      if (usePreloadDimensionsAsFallback) {
        style = preLoadedStyles;
      }
      var imageHasLoadedAndTransitionRequired = imageHasLoaded && !showImage && loadTransition;
      if (imageHasLoadedAndTransitionRequired) {
        style = {
          width: "".concat(this.image.width, "px"),
          height: "".concat(this.image.height, "px")
        };
      }
      return /*#__PURE__*/_react["default"].createElement("div", {
        className: classNames,
        style: style
      }, /*#__PURE__*/_react["default"].createElement("img", _extends({}, rest, {
        onLoad: this.handleOnLoad,
        onError: this.handleOnError,
        alt: alt,
        src: src,
        ref: function ref(image) {
          _this2.image = image;
        }
      })), !showImage && !imageHasErrored && /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
        name: "loader",
        title: "Loading"
      }), imageHasErrored && /*#__PURE__*/_react["default"].createElement(_Icon["default"], {
        name: "cross",
        text: "Oops, this image seems to be missing."
      }));
    }
  }]);
  return ImageLoader;
}(_react.PureComponent);
_defineProperty(ImageLoader, "defaultProps", {
  loadTransition: false,
  preLoadedStyles: {},
  onLoad: function onLoad() {},
  onError: function onError() {}
});
var _default = exports["default"] = ImageLoader;
//# sourceMappingURL=index.js.map