import { CardContent } from "./CardContent";
import { CardControls } from "./CardControls";
import { CardTitle } from "./CardTitle";
import { CardDescription } from "./CardDescription";
import { CardFooter } from "./CardFooter";
declare function Card({ onClick, className, children, innerClassNames, selected, highlighted, added, removed, active, disabled, size, }: any): import("react/jsx-runtime").JSX.Element;
declare namespace Card {
    var Content: typeof CardContent;
    var Title: typeof CardTitle;
    var Description: typeof CardDescription;
    var Controls: typeof CardControls;
    var Footer: typeof CardFooter;
    var defaultProps: {
        onClick: null;
        innerClassNames: string;
        selected: boolean;
        highlighted: boolean;
        added: boolean;
        removed: boolean;
        disabled: boolean;
        active: boolean;
        size: string;
    };
}
export { Card };
//# sourceMappingURL=Card.d.ts.map