"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Card = Card;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _ = require("../../..");
var _StoryItem = _interopRequireDefault(require("../../../../stories/styleguide/StoryItem"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); } // @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "GUI/Cards/Card",
  component: _.Card,
  args: {
    interactive: false,
    selected: false,
    highlighted: false,
    added: false,
    removed: false,
    active: false
  },
  argTypes: {
    size: {
      name: "Size",
      options: ["sm", "md"],
      control: {
        type: "radio"
      }
    }
  }
};
function Card(args) {
  var onClick = args.interactive ? function () {} : null;
  return /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], null, /*#__PURE__*/_react["default"].createElement(_.Card, _extends({}, args, {
    onClick: onClick
  }), /*#__PURE__*/_react["default"].createElement(_.Card.Content, null, /*#__PURE__*/_react["default"].createElement(_.Card.Title, null, "Create the first template"), /*#__PURE__*/_react["default"].createElement(_.Card.Description, null, "Content templates make it easy for people to provide any type of content in the correct format, and style. Whether it\u2019s blog articles, website pages or email newsletter content."), /*#__PURE__*/_react["default"].createElement(_.Card.Footer, null, /*#__PURE__*/_react["default"].createElement(_.ButtonSecondary, null, "Create a template")))));
}
//# sourceMappingURL=Card.stories.js.map