"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DropdownContent = DropdownContent;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _ = require("../../..");
var _StoryItem = _interopRequireDefault(require("../../../../stories/styleguide/StoryItem"));
var _faker = _interopRequireDefault(require("faker"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
// @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
// @ts-expect-error TS(7016): Could not find a declaration file for module 'fake... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "GUI/Dropdowns/Dropdown Content",
  component: _.DropdownContent
};
function DropdownContent() {
  var getPerson = function getPerson() {
    return {
      name: _faker["default"].name.findName(),
      subtitle: _faker["default"].internet.email(),
      avatarUrl: _faker["default"].image.avatar(),
      selected: _faker["default"].random["boolean"]()
    };
  };
  var people = [getPerson(), getPerson(), getPerson(), getPerson()];
  return /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "DropdownContentComponent",
    description: "Dropdown content with a list of people"
  }, /*#__PURE__*/_react["default"].createElement(_.DropdownContent, null, /*#__PURE__*/_react["default"].createElement(_.DropdownContent.Header, {
    title: "Assignees"
  }), /*#__PURE__*/_react["default"].createElement(_.DropdownContent.Body, null, /*#__PURE__*/_react["default"].createElement(_.DropdownContent.List, {
    heading: "WAFFLES"
  }, people.map(function (person) {
    return /*#__PURE__*/_react["default"].createElement(_.Person, {
      name: person.name,
      subtitle: person.subtitle,
      avatarUrl: person.avatarUrl,
      selected: person.selected,
      interactive: true,
      bordered: true
    });
  }))), /*#__PURE__*/_react["default"].createElement(_.DropdownContent.Footer, null, /*#__PURE__*/_react["default"].createElement(_.ButtonSecondary, null, "Save"))));
}
DropdownContent.parameters = {
  controls: {
    hideNoControlsWarning: true
  }
};
//# sourceMappingURL=DropdownContent.stories.js.map