import * as React from "react";
import { FormSubmission } from "./FormSubmission";
import { FormSubmitButton } from "./FormSubmitButton";
import { FormCancelButton } from "./FormCancelButton";
import { FormHelper } from "./FormHelper";
import { FormInput } from "./FormInput";
import { FormBody } from "./FormBody";
import { FormFieldset } from "./FormFieldset";
import { FormLegend } from "./FormLegend";
interface Props extends React.FormHTMLAttributes<HTMLFormElement> {
    inline: boolean;
}
export declare const FormContext: React.Context<{}>;
export declare const statuses: {
    idle: string;
    processing: string;
    failure: string;
    success: string;
};
export declare function Form({ children, onSubmit, inline, className, ...rest }: Props): import("react/jsx-runtime").JSX.Element;
export declare namespace Form {
    var defaultProps: {
        inline: boolean;
    };
    var FormContext: React.Context<{}>;
    var Body: typeof FormBody;
    var Input: typeof FormInput;
    var Submission: typeof FormSubmission;
    var SubmitButton: typeof FormSubmitButton;
    var CancelButton: typeof FormCancelButton;
    var Helper: typeof FormHelper;
    var Fieldset: typeof FormFieldset;
    var Legend: typeof FormLegend;
}
export {};
//# sourceMappingURL=Form.d.ts.map