"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Sidebar = Sidebar;
exports["default"] = void 0;
var React = _interopRequireWildcard(require("react"));
var _ = require("../../..");
var _Sidebar = require("./Sidebar");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var _default = exports["default"] = {
  title: "GUI/Sidebar",
  component: _Sidebar.Sidebar
};
function ExampleOfUsingShowMoreToggle() {
  var _React$useContext = React.useContext(_Sidebar.Sidebar.SectionContext),
    showMore = _React$useContext.showMore;
  return showMore && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_Sidebar.Sidebar.SubSection, null, /*#__PURE__*/React.createElement(_Sidebar.Sidebar.SubHeading, null, /*#__PURE__*/React.createElement("h4", null, "Direction")), "Vertical"), /*#__PURE__*/React.createElement(_Sidebar.Sidebar.SubSection, null, /*#__PURE__*/React.createElement(_Sidebar.Sidebar.SubHeading, null, /*#__PURE__*/React.createElement("h4", null, "Aspect ratio")), "16:9"), /*#__PURE__*/React.createElement(_Sidebar.Sidebar.SubSection, null, /*#__PURE__*/React.createElement(_Sidebar.Sidebar.SubHeading, null, /*#__PURE__*/React.createElement("h4", null, "Direction")), "Vertical"), /*#__PURE__*/React.createElement(_Sidebar.Sidebar.SubSection, null, /*#__PURE__*/React.createElement(_Sidebar.Sidebar.SubHeading, null, /*#__PURE__*/React.createElement("h4", null, "Aspect ratio")), "16:9"), /*#__PURE__*/React.createElement(_Sidebar.Sidebar.SubSection, null, /*#__PURE__*/React.createElement(_Sidebar.Sidebar.SubHeading, null, /*#__PURE__*/React.createElement("h4", null, "Direction")), "Vertical"));
}
function Sidebar() {
  return /*#__PURE__*/React.createElement(_Sidebar.Sidebar, null, /*#__PURE__*/React.createElement(_Sidebar.Sidebar.Header, {
    onClose: function onClose() {}
  }, /*#__PURE__*/React.createElement("h2", null, "SidebarComponent header")), /*#__PURE__*/React.createElement(_Sidebar.Sidebar.Body, null, /*#__PURE__*/React.createElement(_Sidebar.Sidebar.Section, null, /*#__PURE__*/React.createElement(_Sidebar.Sidebar.SectionHead, null, /*#__PURE__*/React.createElement(_Sidebar.Sidebar.Heading, null, /*#__PURE__*/React.createElement("h3", null, "Meta"))), /*#__PURE__*/React.createElement(_Sidebar.Sidebar.SubSection, null, /*#__PURE__*/React.createElement(_Sidebar.Sidebar.SubHeading, null, /*#__PURE__*/React.createElement("h4", null, "Alt text")), "Alt text value")), /*#__PURE__*/React.createElement(_Sidebar.Sidebar.Section, null, /*#__PURE__*/React.createElement(_Sidebar.Sidebar.SectionHead, {
    toggle: /*#__PURE__*/React.createElement(_Sidebar.Sidebar.SectionToggle, {
      hideText: "Less info",
      showText: "More info"
    })
  }, /*#__PURE__*/React.createElement(_Sidebar.Sidebar.Heading, null, /*#__PURE__*/React.createElement("h4", null, "Crop")), /*#__PURE__*/React.createElement(_Sidebar.Sidebar.Description, null, "Set width or height values in pixels, Aspect ratio is always honoured.")), /*#__PURE__*/React.createElement(_Sidebar.Sidebar.SubSection, null, /*#__PURE__*/React.createElement(_Sidebar.Sidebar.SubHeading, null, /*#__PURE__*/React.createElement("h4", null, "Aspect ratio")), "16:9"), /*#__PURE__*/React.createElement(_Sidebar.Sidebar.SubSection, null, /*#__PURE__*/React.createElement(_Sidebar.Sidebar.SubHeading, null, /*#__PURE__*/React.createElement("h4", null, "Direction")), "Vertical"), /*#__PURE__*/React.createElement(_Sidebar.Sidebar.SubSection, null, /*#__PURE__*/React.createElement(_Sidebar.Sidebar.SubHeading, null, /*#__PURE__*/React.createElement("h4", null, "Aspect ratio")), "16:9"), /*#__PURE__*/React.createElement(ExampleOfUsingShowMoreToggle, null))), /*#__PURE__*/React.createElement(_Sidebar.Sidebar.Footer, null, /*#__PURE__*/React.createElement("a", {
    href: "/",
    className: "mr-auto"
  }, /*#__PURE__*/React.createElement(_.Icon, {
    name: "help"
  })), /*#__PURE__*/React.createElement(_.ButtonTertiary, {
    size: "sm",
    onClick: function onClick() {},
    className: "mr-2"
  }, "Cancel"), /*#__PURE__*/React.createElement(_.ButtonPrimary, {
    size: "sm",
    onClick: function onClick() {}
  }, "Save")));
}
Sidebar.parameters = {
  controls: {
    hideNoControlsWarning: true
  }
};
//# sourceMappingURL=Sidebar.stories.js.map