"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ButtonPrimaryDanger = ButtonPrimaryDanger;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _lodash = require("lodash");
var _StoryItem = _interopRequireDefault(require("../../../../../../stories/styleguide/StoryItem"));
var _ButtonPrimaryDanger = require("../../ButtonPrimary/ButtonPrimaryDanger");
var _ButtonStoryItem = require("../ButtonStoryItem");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; } // @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: 'GUI/Buttons/Button Primary Danger'
};
var _ButtonPrimaryDangerC = _ButtonPrimaryDanger.ButtonPrimaryDanger.sizes,
  lg = _ButtonPrimaryDangerC.lg,
  storySizes = _objectWithoutProperties(_ButtonPrimaryDangerC, ["lg"]);
function ButtonPrimaryDanger() {
  return /*#__PURE__*/_react["default"].createElement("div", null, (0, _lodash.map)(storySizes, function (size) {
    return /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
      key: size,
      title: "ButtonPrimaryDangerComponent ".concat(size.toUpperCase()),
      description: "The ".concat(size.toUpperCase(), " primary button component")
    }, /*#__PURE__*/_react["default"].createElement("div", {
      className: "flex flex-wrap"
    }, /*#__PURE__*/_react["default"].createElement(_ButtonStoryItem.ButtonStoryItem, {
      title: "Default"
    }, /*#__PURE__*/_react["default"].createElement(_ButtonPrimaryDanger.ButtonPrimaryDanger, {
      size: size
    }, "Button text")), /*#__PURE__*/_react["default"].createElement(_ButtonStoryItem.ButtonStoryItem, {
      title: "Loading"
    }, /*#__PURE__*/_react["default"].createElement(_ButtonPrimaryDanger.ButtonPrimaryDanger, {
      size: size,
      loading: true
    }, "Button text")), /*#__PURE__*/_react["default"].createElement(_ButtonStoryItem.ButtonStoryItem, {
      title: "Loading Right"
    }, /*#__PURE__*/_react["default"].createElement(_ButtonPrimaryDanger.ButtonPrimaryDanger, {
      size: size,
      loading: true,
      loaderRight: true
    }, "Button text")), /*#__PURE__*/_react["default"].createElement(_ButtonStoryItem.ButtonStoryItem, {
      title: "Disabled"
    }, /*#__PURE__*/_react["default"].createElement(_ButtonPrimaryDanger.ButtonPrimaryDanger, {
      size: size,
      disabled: true
    }, "Button text")), /*#__PURE__*/_react["default"].createElement(_ButtonStoryItem.ButtonStoryItem, {
      title: "Disabled & loading"
    }, /*#__PURE__*/_react["default"].createElement(_ButtonPrimaryDanger.ButtonPrimaryDanger, {
      size: size,
      disabled: true,
      loading: true
    }, "Button text")), /*#__PURE__*/_react["default"].createElement(_ButtonStoryItem.ButtonStoryItem, {
      title: "Group"
    }, /*#__PURE__*/_react["default"].createElement(_ButtonPrimaryDanger.ButtonPrimaryDanger, {
      size: size,
      connectedRight: true
    }, "Option 1"), /*#__PURE__*/_react["default"].createElement(_ButtonPrimaryDanger.ButtonPrimaryDanger, {
      size: size,
      connectedRight: true,
      connectedLeft: true
    }, "Option 2"), /*#__PURE__*/_react["default"].createElement(_ButtonPrimaryDanger.ButtonPrimaryDanger, {
      size: size,
      connectedLeft: true
    }, "Option 3")), /*#__PURE__*/_react["default"].createElement(_ButtonStoryItem.ButtonStoryItem, {
      title: "Disabled Group"
    }, /*#__PURE__*/_react["default"].createElement(_ButtonPrimaryDanger.ButtonPrimaryDanger, {
      size: size,
      connectedRight: true,
      disabled: true
    }, "Option 1"), /*#__PURE__*/_react["default"].createElement(_ButtonPrimaryDanger.ButtonPrimaryDanger, {
      size: size,
      connectedRight: true,
      connectedLeft: true,
      disabled: true
    }, "Option 2"), /*#__PURE__*/_react["default"].createElement(_ButtonPrimaryDanger.ButtonPrimaryDanger, {
      size: size,
      connectedLeft: true,
      disabled: true
    }, "Option 3"))));
  }));
}
ButtonPrimaryDanger.parameters = {
  controls: {
    hideNoControlsWarning: true
  }
};
//# sourceMappingURL=ButtonPrimaryDanger.stories.js.map