"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ButtonSecondaryDanger = ButtonSecondaryDanger;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _lodash = require("lodash");
var _StoryItem = _interopRequireDefault(require("../../../../../../stories/styleguide/StoryItem"));
var _ButtonSecondaryDanger = require("../../ButtonSecondary/ButtonSecondaryDanger");
var _ButtonStoryItem = require("../ButtonStoryItem");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; } // @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: 'GUI/Buttons/Button Secondary Danger',
  component: _ButtonSecondaryDanger.ButtonSecondaryDanger
};
var _ButtonSecondaryDange = _ButtonSecondaryDanger.ButtonSecondaryDanger.sizes,
  lg = _ButtonSecondaryDange.lg,
  storySizes = _objectWithoutProperties(_ButtonSecondaryDange, ["lg"]);
function ButtonSecondaryDanger() {
  return /*#__PURE__*/_react["default"].createElement("div", null, (0, _lodash.map)(storySizes, function (size) {
    return /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
      key: size,
      title: "ButtonSecondaryDangerDanger ".concat(size.toUpperCase()),
      description: "The ".concat(size.toUpperCase(), " secondary button danger component")
    }, /*#__PURE__*/_react["default"].createElement("div", {
      className: "flex flex-wrap"
    }, /*#__PURE__*/_react["default"].createElement(_ButtonStoryItem.ButtonStoryItem, {
      title: "Default"
    }, /*#__PURE__*/_react["default"].createElement(_ButtonSecondaryDanger.ButtonSecondaryDanger, {
      size: size
    }, "Button text")), /*#__PURE__*/_react["default"].createElement(_ButtonStoryItem.ButtonStoryItem, {
      title: "Loading"
    }, /*#__PURE__*/_react["default"].createElement(_ButtonSecondaryDanger.ButtonSecondaryDanger, {
      size: size,
      loading: true
    }, "Button text")), /*#__PURE__*/_react["default"].createElement(_ButtonStoryItem.ButtonStoryItem, {
      title: "Loading Right"
    }, /*#__PURE__*/_react["default"].createElement(_ButtonSecondaryDanger.ButtonSecondaryDanger, {
      size: size,
      loading: true,
      loaderRight: true
    }, "Button text")), /*#__PURE__*/_react["default"].createElement(_ButtonStoryItem.ButtonStoryItem, {
      title: "Disabled"
    }, /*#__PURE__*/_react["default"].createElement(_ButtonSecondaryDanger.ButtonSecondaryDanger, {
      size: size,
      disabled: true
    }, "Button text")), /*#__PURE__*/_react["default"].createElement(_ButtonStoryItem.ButtonStoryItem, {
      title: "Disabled & loading"
    }, /*#__PURE__*/_react["default"].createElement(_ButtonSecondaryDanger.ButtonSecondaryDanger, {
      size: size,
      disabled: true,
      loading: true
    }, "Button text"))));
  }));
}
ButtonSecondaryDanger.parameters = {
  controls: {
    hideNoControlsWarning: true
  }
};
//# sourceMappingURL=ButtonSecondaryDanger.stories.js.map