"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DateSet = DateSet;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _ = require("../../..");
var _StoryItem = _interopRequireDefault(require("../../../../stories/styleguide/StoryItem"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
// @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "GUI/Date Set",
  components: _.DateSet,
  args: {
    subtext: "Some optional extra text.",
    date: 1639180800000
  },
  argTypes: {
    date: {
      name: "Date",
      control: {
        type: "date"
      }
    }
  }
};
function DateSet(args) {
  return /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "DateSetComponent",
    description: "Display a date and a time selector"
  }, /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_.DateSet, args)));
}
//# sourceMappingURL=DateSet.stories.js.map