"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InputWithMentions = InputWithMentions;
var _react = _interopRequireWildcard(require("react"));
var _reactMentions = require("react-mentions");
var _classnames = _interopRequireDefault(require("classnames"));
var _ = require("../../..");
var _excluded = ["value", "users", "onChange", "onMention", "onSubmitShortcutTriggered"]; // @ts-expect-error TS(7016): Could not find a declaration file for module 'reac... Remove this comment to see the full error message
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function InputWithMentions(_ref) {
  var value = _ref.value,
    users = _ref.users,
    onChange = _ref.onChange,
    onMention = _ref.onMention,
    onSubmitShortcutTriggered = _ref.onSubmitShortcutTriggered,
    rest = _objectWithoutProperties(_ref, _excluded);
  var _useState = (0, _react.useState)(value),
    _useState2 = _slicedToArray(_useState, 2),
    inputValue = _useState2[0],
    setInputValue = _useState2[1];
  var _useState3 = (0, _react.useState)("0px"),
    _useState4 = _slicedToArray(_useState3, 2),
    currentInputHeight = _useState4[0],
    setCurrentInputHeight = _useState4[1];
  var hiddenContentRef = (0, _react.useRef)(null);
  var mentionsPortalRef = (0, _react.useRef)(null);
  var _useState5 = (0, _react.useState)(false),
    _useState6 = _slicedToArray(_useState5, 2),
    hasFocus = _useState6[0],
    setHasFocus = _useState6[1];
  var getInputHeight = function getInputHeight() {
    if (hiddenContentRef.current) {
      // @ts-expect-error TS(2339): Property 'getBoundingClientRect' does not exist on... Remove this comment to see the full error message
      return hiddenContentRef.current.getBoundingClientRect().height;
    }
    return currentInputHeight;
  };
  (0, _react.useEffect)(function () {
    setInputValue(value);
  }, [value]);
  (0, _react.useEffect)(function () {
    var newHeight = getInputHeight();
    if (newHeight !== currentInputHeight) {
      setCurrentInputHeight(newHeight);
    }
  }, [inputValue]);
  var removeMentionMarkup = function removeMentionMarkup(newVal) {
    var pattern = /(?:@\[\w+\])+/gi;
    return newVal.replace(pattern, function (match) {
      var mention = match.replace(/\]|\[|\(\d+\)/g, "");
      return mention;
    });
  };
  var handleChange = function handleChange(event) {
    onChange(removeMentionMarkup(event.target.value));
    setInputValue(removeMentionMarkup(event.target.value));
  };
  var searchForUsers = function searchForUsers(term) {
    if (term.trim() !== "" && users.length > 0) {
      return users.filter(function (user) {
        return user.name.toLowerCase().split(" ").filter(function (subStr) {
          return subStr.lastIndexOf(term, 0) === 0;
        }).length > 0 || user.display.toLowerCase().lastIndexOf(term, 0) === 0;
      });
    }
    return users;
  };
  var inputWrapperClassNames = (0, _classnames["default"])("relative w-full");
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      height: currentInputHeight
    },
    className: inputWrapperClassNames
  }, /*#__PURE__*/_react["default"].createElement(_reactMentions.MentionsInput, _extends({
    className: "gui-mentions-input",
    value: inputValue,
    onChange: handleChange,
    suggestionsPortalHost: mentionsPortalRef.current,
    onFocus: function onFocus() {
      return setHasFocus(true);
    },
    onBlur: function onBlur() {
      return setHasFocus(false);
    }
  }, rest), /*#__PURE__*/_react["default"].createElement(_reactMentions.Mention, {
    trigger: "@",
    onAdd: onMention,
    data: function data(search) {
      return searchForUsers(search);
    },
    appendSpaceOnAdd: true,
    displayTransform: function displayTransform(id, display) {
      return "@".concat(display);
    },
    markup: "@[__display__]",
    renderSuggestion: function renderSuggestion(suggestion) {
      return /*#__PURE__*/_react["default"].createElement(_.Avatar, {
        url: suggestion.avatar,
        initials: suggestion.initials
      }, /*#__PURE__*/_react["default"].createElement(_.AvatarInformation, {
        email: "@".concat(suggestion.display),
        name: suggestion.name,
        pending: suggestion.pending
      }));
    }
  })), /*#__PURE__*/_react["default"].createElement("div", {
    ref: mentionsPortalRef
  }), /*#__PURE__*/_react["default"].createElement(_.ShortcutTrigger, {
    shortcutKey: "Enter",
    onShortcutTrigger: function onShortcutTrigger(e) {
      if (!hasFocus || !value) {
        return e;
      }
      return onSubmitShortcutTriggered(e);
    },
    withCtrlKey: true
  }), /*#__PURE__*/_react["default"].createElement(_.ShortcutTrigger, {
    shortcutKey: "Enter",
    onShortcutTrigger: function onShortcutTrigger(e) {
      if (!hasFocus || !value) {
        return e;
      }
      return onSubmitShortcutTriggered(e);
    },
    withMetaKey: true
  }), /*#__PURE__*/_react["default"].createElement("div", {
    ref: hiddenContentRef,
    style: {
      whiteSpace: "pre-wrap",
      visibility: "hidden"
    },
    className: "gui-mentions-input__input absolute top-0"
  }, inputValue, "i"));
}
//# sourceMappingURL=InputWithMentions.js.map