"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InventoryItem = InventoryItem;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactDndHtml5BackendCjs = _interopRequireDefault(require("react-dnd-html5-backend-cjs"));
var _ = require("../../..");
var _StoryItem = _interopRequireDefault(require("../../../../stories/styleguide/StoryItem"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
// @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "GUI/Inventory Item",
  component: _.InventoryItem,
  args: {
    disabled: false
  }
};
function InventoryItem(args) {
  return /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "InventoryItemComponent",
    description: "An InventoryItemComponent thats draggable"
  }, /*#__PURE__*/_react["default"].createElement(_.DndProvider, {
    backend: _reactDndHtml5BackendCjs["default"]
  }, /*#__PURE__*/_react["default"].createElement(_.Draggable, {
    item: {
      type: "story"
    },
    preview: /*#__PURE__*/_react["default"].createElement(_.InventoryItem, {
      iconName: "text",
      isPreview: true
    })
  }, function (_ref, dragRef) {
    var isDragging = _ref.isDragging;
    return /*#__PURE__*/_react["default"].createElement("div", {
      ref: dragRef
    }, /*#__PURE__*/_react["default"].createElement(_.InventoryItem, {
      tooltipText: "Text field",
      iconName: "text",
      isPreviewActive: isDragging,
      tooltipClassName: "inline-block",
      disabled: args.disabled
    }));
  })));
}
//# sourceMappingURL=InventoryItem.stories.js.map