"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Loader = Loader;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _ = require("../../..");
var _StoryItem = _interopRequireDefault(require("../../../../stories/styleguide/StoryItem"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
// @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "GUI/Loader",
  component: _.Loader
};
function Loader() {
  return /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "LoaderComponent"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "grid tw grid-cols-6 col-gap-4"
  }, /*#__PURE__*/_react["default"].createElement(_.Loader, {
    size: "sm"
  }), /*#__PURE__*/_react["default"].createElement(_.Loader, {
    size: "md"
  }), /*#__PURE__*/_react["default"].createElement(_.Loader, {
    isOverlay: true
  }), /*#__PURE__*/_react["default"].createElement(_.Loader, {
    size: "lrg"
  }), /*#__PURE__*/_react["default"].createElement(_.Loader, {
    progress: "25%"
  }), /*#__PURE__*/_react["default"].createElement(_.Loader, {
    heading: "Processing",
    progress: "100%"
  })));
}
Loader.parameters = {
  controls: {
    hideNoControlsWarning: true
  }
};
//# sourceMappingURL=Loader.stories.js.map