"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Meta = Meta;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _MetaHeading = require("./MetaHeading");
var _MetaText = require("./MetaText");
var _MetaFooter = require("./MetaFooter");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function Meta(_ref) {
  var children = _ref.children,
    className = _ref.className;
  var classNames = (0, _classnames["default"])("gui-meta", className);
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: classNames
  }, children);
}
Meta.Heading = _MetaHeading.MetaHeading;
Meta.Text = _MetaText.MetaText;
Meta.Footer = _MetaFooter.MetaFooter;
//# sourceMappingURL=Meta.js.map