"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MetaText = MetaText;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function MetaText(_ref) {
  var children = _ref.children,
    className = _ref.className,
    truncate = _ref.truncate;
  var classNames = (0, _classnames["default"])("gui-meta-text text-neutral-primary text-sm", className, {
    truncate: truncate
  });
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: classNames
  }, children);
}
MetaText.defaultProps = {
  truncate: true
};
//# sourceMappingURL=MetaText.js.map