"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NavigationItem = NavigationItem;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _NavigationProvider = require("./NavigationProvider");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function NavigationItem(_ref) {
  var children = _ref.children,
    id = _ref.id,
    className = _ref.className,
    _onClick = _ref.onClick,
    disabled = _ref.disabled;
  var _useContext = (0, _react.useContext)(_NavigationProvider.NavigationContext),
    setActiveTabId = _useContext.setActiveTabId,
    activeTabId = _useContext.activeTabId;
  var isActive = activeTabId === id;
  var classNames = (0, _classnames["default"])(className, "gui-navigation--item", {
    "gui-active": isActive,
    "gui-disabled": disabled
  });
  return /*#__PURE__*/_react["default"].createElement("li", {
    className: classNames,
    role: "none"
  }, /*#__PURE__*/_react["default"].createElement("button", {
    onClick: function onClick() {
      _onClick(id);
      setActiveTabId(id);
    },
    disabled: disabled,
    type: "button",
    role: "menuitem"
    // @ts-expect-error TS(2322): Type 'string' is not assignable to type 'number'.
    ,
    tabIndex: "0"
  }, children), isActive && /*#__PURE__*/_react["default"].createElement("span", {
    className: "gui-navigation--active-border"
  }));
}
//# sourceMappingURL=NavigationItem.js.map