"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NavigationItems = NavigationItems;
var _react = _interopRequireDefault(require("react"));
var _NavigationProvider = require("./NavigationProvider");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function NavigationItems(_ref) {
  var children = _ref.children,
    onNav = _ref.onNav,
    defaultTabId = _ref.defaultTabId,
    srLabel = _ref.srLabel;
  return /*#__PURE__*/_react["default"].createElement(_NavigationProvider.NavigationProvider, {
    onNav: onNav,
    defaultTabId: defaultTabId
  }, /*#__PURE__*/_react["default"].createElement("nav", {
    className: "gui-navigation--items",
    "aria-label": srLabel
  }, /*#__PURE__*/_react["default"].createElement("ul", {
    role: "menubar",
    "aria-label": srLabel
  }, children)));
}
NavigationItems.defaultProps = {
  onNav: function onNav() {}
};
//# sourceMappingURL=NavigationItems.js.map