"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Person = Person;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _ = require("../../..");
var _StoryItem = _interopRequireDefault(require("../../../../stories/styleguide/StoryItem"));
var _faker = _interopRequireDefault(require("faker"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
// @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
// @ts-expect-error TS(7016): Could not find a declaration file for module 'fake... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "GUI/Person",
  component: _.Person,
  args: {
    selected: true,
    interactive: false,
    name: _faker["default"].name.findName(),
    subtitle: _faker["default"].internet.email(),
    avatarUrl: _faker["default"].image.avatar(),
    highlightText: "Highlight text",
    locked: false,
    lockedTooltipText: "im locked in!"
  }
};
function Person(args) {
  return /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "PersonComponent",
    description: "A person"
  }, /*#__PURE__*/_react["default"].createElement(_.Person, args));
}
//# sourceMappingURL=Person.stories.js.map