"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RenameInput = RenameInput;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _ = require("../../..");
var _StoryItem = _interopRequireDefault(require("../../../../stories/styleguide/StoryItem"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
// @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "GUI/Form/Inputs/Rename Input",
  components: _.RenameInput,
  args: {
    large: true,
    text: "Edit me"
  }
};
function RenameInput(args) {
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "RenameInputComponent",
    description: "Text that toggles into a text input"
  }, /*#__PURE__*/_react["default"].createElement(_.RenameInput, {
    text: args.text,
    onRename: function onRename() {},
    size: args.large ? _.RenameInput.sizes.lrg : _.RenameInput.sizes.md
  })), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "multiline RenameInputComponent",
    description: "Text that toggles into a textarea"
  }, /*#__PURE__*/_react["default"].createElement(_.RenameInput, {
    text: args.text,
    onRename: function onRename() {},
    multiline: true,
    size: args.large ? _.RenameInput.sizes.lrg : _.RenameInput.sizes.md
  })));
}
//# sourceMappingURL=RenameInput.stories.js.map