import { HTMLAttributes } from "react";
import { RevisionListItem } from "./RevisionListItem";
import { RevisionListTimestamp } from "./RevisionListTimestamp";
import { RevisionListStatus } from "./RevisionListStatus";
import { RevisionListNote } from "./RevisionListNote";
import { RevisionListHeading } from "./RevisionListHeading";
export declare function RevisionList({ children, className, ...rest }: HTMLAttributes<HTMLUListElement>): import("react/jsx-runtime").JSX.Element;
export declare namespace RevisionList {
    var Item: typeof RevisionListItem;
    var Timestamp: typeof RevisionListTimestamp;
    var Status: typeof RevisionListStatus;
    var Note: typeof RevisionListNote;
    var Heading: typeof RevisionListHeading;
}
//# sourceMappingURL=RevisionList.d.ts.map