"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RevisionList = RevisionList;
var _react = _interopRequireDefault(require("react"));
var _RevisionListItem = require("./RevisionListItem");
var _RevisionListTimestamp = require("./RevisionListTimestamp");
var _RevisionListStatus = require("./RevisionListStatus");
var _RevisionListNote = require("./RevisionListNote");
var _RevisionListHeading = require("./RevisionListHeading");
var _excluded = ["children", "className"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function RevisionList(_ref) {
  var children = _ref.children,
    _ref$className = _ref.className,
    className = _ref$className === void 0 ? "" : _ref$className,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement("ul", _extends({
    className: "".concat(className, " gui-revision-list")
  }, rest), children);
}
RevisionList.Item = _RevisionListItem.RevisionListItem;
RevisionList.Timestamp = _RevisionListTimestamp.RevisionListTimestamp;
RevisionList.Status = _RevisionListStatus.RevisionListStatus;
RevisionList.Note = _RevisionListNote.RevisionListNote;
RevisionList.Heading = _RevisionListHeading.RevisionListHeading;
//# sourceMappingURL=RevisionList.js.map