"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RevisionListItem = RevisionListItem;
var _classnames = _interopRequireDefault(require("classnames"));
var _react = _interopRequireDefault(require("react"));
var _excluded = ["children", "className", "leftContent", "active"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function RevisionListItem(_ref) {
  var children = _ref.children,
    _ref$className = _ref.className,
    className = _ref$className === void 0 ? "" : _ref$className,
    _ref$leftContent = _ref.leftContent,
    leftContent = _ref$leftContent === void 0 ? null : _ref$leftContent,
    _ref$active = _ref.active,
    active = _ref$active === void 0 ? false : _ref$active,
    rest = _objectWithoutProperties(_ref, _excluded);
  var classes = (0, _classnames["default"])(className, "gui-revision-list-item", {
    "gui-revision-list-item-active": active
  });
  return /*#__PURE__*/_react["default"].createElement("li", _extends({
    className: classes
  }, rest), /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-revision-list-item-left"
  }, leftContent), /*#__PURE__*/_react["default"].createElement("div", {
    className: "gui-revision-list-item-right"
  }, children));
}
//# sourceMappingURL=RevisionListItem.js.map