"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StatusIndicatorCircle = StatusIndicatorCircle;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _StoryItem = _interopRequireDefault(require("../../../../stories/styleguide/StoryItem"));
var _statusIndicatorCircle = require("./statusIndicatorCircle");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
// @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: 'GUI/Status Indicator Circle',
  component: _statusIndicatorCircle.StatusIndicatorCircle,
  args: {
    color: '#ff00ff',
    solid: false,
    thickBorder: false
  },
  argTypes: {
    color: {
      name: 'Colour',
      control: {
        type: 'color'
      }
    }
  }
};
function StatusIndicatorCircle(args) {
  return /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], null, /*#__PURE__*/_react["default"].createElement(_statusIndicatorCircle.StatusIndicatorCircle, args));
}
//# sourceMappingURL=statusIndicatorCircle.stories.js.map