"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DueDateDropdown = DueDateDropdown;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _ = require("../../..");
var _StoryItem = _interopRequireDefault(require("../../../../stories/styleguide/StoryItem"));
var _moment = _interopRequireDefault(require("moment"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
// @ts-expect-error TS(2307): Cannot find module 'stories/styleguide/StoryItem' ... Remove this comment to see the full error message
var _default = exports["default"] = {
  title: "GUI/Dropdowns/Due Date Dropdown",
  argTypes: {
    selectedDay: {
      name: "Selected day",
      control: {
        type: "date"
      }
    }
  }
};
function DueDateDropdown(args) {
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "DueDateDropdownComponent",
    description: "A prefab for a due date dropdown"
  }, /*#__PURE__*/_react["default"].createElement(_.DueDateDropdown, {
    id: "due-date-dropdown-prefab",
    selectedDay: (0, _moment["default"])(args.selectedDay).toDate()
  })), /*#__PURE__*/_react["default"].createElement(_StoryItem["default"], {
    title: "DueDateDropdownComponent",
    description: "A prefab for a due date dropdown with additional info"
  }, /*#__PURE__*/_react["default"].createElement(_.DueDateDropdown, {
    id: "due-date-dropdown-with-info-prefab",
    selectedDay: (0, _moment["default"])(args.selectedDay).toDate(),
    workflowDueDate: {
      dynamic: {
        amount: 3,
        interval: "day"
      }
    }
  })));
}
//# sourceMappingURL=DueDateDropdown.stories.js.map